#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0xe4bb6850, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x52c35985, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x0114b709, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x7f147d0a, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xe0e2b8f2, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xf4fcd95b, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x4ff00aba, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0xe62098f2, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x9826eaee, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xdaa9bb84, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xa2a879fb, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xeb66fdd1, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x5a32eef3, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xa0878493, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xd88646ec, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x921dbe38, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x1f6e20e4, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x094980db, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x44136f98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbd456f88, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e4b949e, "i2c_del_adapter" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa151e5aa, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d2e525f, "rc_register_device" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0xe430f892, "rc_keydown" },
	{ 0xd44604fe, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5a1b95b7, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa979e198, "param_ops_short" },
	{ 0xd79e4a5e, "rc_free_device" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2aef7d16, "dvb_frontend_detach" },
	{ 0xf6b433c9, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0x927349e6, "dvb_net_release" },
	{ 0x9c2b74e6, "dvb_ca_en50221_camready_irq" },
	{ 0x2847b729, "rc_allocate_device" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9b6d8b09, "dvb_unregister_frontend" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2829924b, "dvb_ca_en50221_camchange_irq" },
	{ 0x8f4bc90f, "i2c_transfer" },
	{ 0xc750ce9c, "pci_disable_device" },
	{ 0x7d1d04a1, "dvb_register_frontend" },
	{ 0x54fb718a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xaf388544, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xef5bda82, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x81794dea, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x26901893, "pci_enable_device" },
	{ 0x47d70e8c, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x53ef2265, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");
