#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x7a85208f, "_gpl");
SYMBOL_CRC(mux_chip_register, 0x9d1453c6, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x1aa41976, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x0cbc2214, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x6b465c54, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0xada11979, "_gpl");
SYMBOL_CRC(mux_control_states, 0xf3bb221d, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x3b7eaf37, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x18f1154a, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xde28c5d8, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x2f68ab3c, "_gpl");
SYMBOL_CRC(mux_control_put, 0x61a41ce6, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x4a67d65c, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x6612c2b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4f89ee7f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x704d3298, "put_device" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0xbb4b389, "device_add" },
	{ 0x11455230, "__devres_alloc_node" },
	{ 0xffb7c514, "ida_free" },
	{ 0x660de5fc, "class_unregister" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x6bf14fec, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36b6ebbf, "down_killable" },
	{ 0xd5a6633e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x87d1b33a, "dev_set_name" },
	{ 0xcf2a6966, "up" },
	{ 0xbcb76c06, "device_initialize" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");
