#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0xa81248c2, "");
SYMBOL_CRC(bnxt_unregister_dev, 0xdb6ef287, "");
SYMBOL_CRC(bnxt_send_msg, 0x5bc6f394, "");
SYMBOL_CRC(bnxt_register_async_events, 0x47f3f023, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f4f9d66, "pcie_flr" },
	{ 0x4d0b2ed1, "pci_read_config_word" },
	{ 0x59c35c43, "napi_enable" },
	{ 0xa7a2454b, "netif_receive_skb" },
	{ 0xc9207789, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xbe71cb87, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7c4edbdb, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3c441ff9, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4280d499, "ethtool_rxfh_context_lost" },
	{ 0x21635d54, "pci_iounmap" },
	{ 0xb1fa6048, "pci_restore_state" },
	{ 0x3a6c3061, "netif_tx_wake_queue" },
	{ 0x6bf14fec, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1e243186, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x4422ae3a, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3349b6bc, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x328b3d57, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17d9cc40, "flow_rule_match_ipv6_addrs" },
	{ 0xaaeef0c8, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xafbb1300, "ptp_clock_unregister" },
	{ 0xc16d23b6, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c31aa18, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x98c271e1, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0xdda822fc, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0xc9fe46b3, "rps_may_expire_flow" },
	{ 0x2bb34a11, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x220787d, "netdev_reset_tc" },
	{ 0xa51f59b3, "neigh_destroy" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x66a59677, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe3bd0730, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x733cc588, "pci_release_regions" },
	{ 0x7895a701, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3141bc0b, "__dma_sync_single_for_device" },
	{ 0xb4aedf0e, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x93662dc3, "pcie_print_link_status" },
	{ 0x4c3f6e89, "flow_rule_match_vlan" },
	{ 0x25a6f817, "xdp_rxq_info_unreg" },
	{ 0x859823ba, "page_pool_alloc_pages" },
	{ 0x1d757a3e, "napi_build_skb" },
	{ 0x5330f9b2, "__xdp_rxq_info_reg" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0d775d3, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ac54427, "devlink_priv" },
	{ 0xf39d760, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xddc822a7, "pci_disable_sriov" },
	{ 0xb1dd9480, "tcp_gro_complete" },
	{ 0xf6810491, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe682fac1, "dst_release" },
	{ 0x4b25ecc2, "netif_carrier_on" },
	{ 0x339e79c5, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x4d3296b0, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc750ce9c, "pci_disable_device" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf15eee, "netif_set_tso_max_size" },
	{ 0x44dabde, "__skb_flow_dissect" },
	{ 0x4b3e5df8, "pci_msix_alloc_irq_at" },
	{ 0xb8d56b45, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x3d6d0689, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x9bd700fb, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc6fa5e0d, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0x5161b5c9, "napi_disable" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0xa1c7c497, "dcb_ieee_delapp" },
	{ 0xc9dfed33, "netdev_notice" },
	{ 0x1f37fd64, "ethtool_params_from_link_mode" },
	{ 0x8f7004c5, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0x13382367, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x56b252e6, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5fc1ecdd, "flow_rule_match_control" },
	{ 0x1622bce0, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x498d4909, "netdev_core_stats_inc" },
	{ 0xa1fdee61, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe19cf7a9, "pci_write_config_dword" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2436d91e, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x4cfd6d20, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xfc63916f, "__tracepoint_xdp_exception" },
	{ 0x4747fcd8, "napi_alloc_skb" },
	{ 0xe605f94f, "alloc_etherdev_mqs" },
	{ 0xe08e1453, "flow_block_cb_lookup" },
	{ 0x69a93403, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x3091f8bb, "device_set_wakeup_enable" },
	{ 0x74d48921, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb556de54, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbfade98a, "pci_find_ext_capability" },
	{ 0x96b09232, "bpf_prog_put" },
	{ 0x907b6d50, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3eb4e10c, "devlink_unregister" },
	{ 0xa1ca7a7c, "skb_copy_bits" },
	{ 0xe623edfa, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf188e71, "pci_wake_from_d3" },
	{ 0x26901893, "pci_enable_device" },
	{ 0x1e64c7be, "skb_put" },
	{ 0xa01cfe8b, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6aa71788, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x48a0873f, "auxiliary_device_init" },
	{ 0x57b4ef9c, "netdev_update_features" },
	{ 0xab6f12b3, "consume_skb" },
	{ 0xd6c34c8a, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x85b2acb0, "pci_alloc_irq_vectors" },
	{ 0xa8dce18c, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3e759e5f, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x4992e716, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x7a64f8af, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbb2798, "ndo_dflt_bridge_getlink" },
	{ 0x6eec6bdc, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xed4f313d, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8dc030af, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8dae6855, "request_firmware" },
	{ 0xc7b75100, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xfb1e02a5, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xd7e04969, "__pci_register_driver" },
	{ 0x3247e58d, "devlink_params_unregister" },
	{ 0xf4993341, "pci_num_vf" },
	{ 0xbc99ac62, "flow_rule_match_eth_addrs" },
	{ 0xf6c24c7, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7e51a7ac, "ptp_clock_index" },
	{ 0x297ab22c, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d654b94, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdf448bc0, "devlink_register" },
	{ 0x3b90f68f, "devlink_remote_reload_actions_performed" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x16c1243e, "page_pool_destroy" },
	{ 0x7f5ed599, "xdp_do_redirect" },
	{ 0xba907612, "devlink_free" },
	{ 0x44864cce, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc72f6013, "netdev_warn" },
	{ 0x15d9c452, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2b2bd08a, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdcbd2d1, "pci_irq_vector" },
	{ 0x5108eb56, "flow_rule_match_ipv4_addrs" },
	{ 0x5dd9c683, "ip_route_output_flow" },
	{ 0x6b575d2f, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe662d655, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4302e0ee, "pci_unregister_driver" },
	{ 0xaee63eb3, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x721cece4, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x8ad3ba8f, "devlink_flash_update_status_notify" },
	{ 0xdfa01ab6, "dev_driver_string" },
	{ 0x182aade8, "netdev_port_same_parent_id" },
	{ 0x8ead59df, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x92295c17, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b2b4dfc, "ptp_find_pin" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0x367b4f58, "pci_read_config_dword" },
	{ 0x6719512c, "flow_rule_match_icmp" },
	{ 0xfc87757a, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3642e6bc, "dma_map_page_attrs" },
	{ 0x6fff7ee1, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x704d3298, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xd688c0ce, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xa916b694, "strnlen" },
	{ 0xc2f90895, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x57b499ea, "netif_device_detach" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x239e2443, "napi_gro_receive" },
	{ 0x9bffcac8, "netif_device_attach" },
	{ 0x72ef1914, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x4ab80a06, "flow_indr_dev_unregister" },
	{ 0x81758a68, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a7d7cef, "xdp_rxq_info_is_reg" },
	{ 0x4f35ee1e, "ptp_classify_raw" },
	{ 0xb4a68dfb, "flow_block_cb_setup_simple" },
	{ 0xc946449f, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x84932168, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x8d719513, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd08139bc, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3032efac, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe526d97b, "devlink_port_unregister" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x12ab3b34, "init_net" },
	{ 0x6202c04c, "softnet_data" },
	{ 0xa990e631, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x76e915b0, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8808b9f6, "ptp_clock_register" },
	{ 0x47b787c1, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x799e5383, "netif_set_real_num_tx_queues" },
	{ 0x7844c8a3, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x7e8a895, "netif_set_real_num_rx_queues" },
	{ 0x9a78e9d2, "flow_indr_block_cb_alloc" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xa87dc981, "page_pool_disable_direct_recycling" },
	{ 0x994b90d8, "netdev_printk" },
	{ 0x828e0751, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6475519b, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1B21A8712EEF191EC2A7967");
