#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x4b7982cf, "");
SYMBOL_CRC(alloc_libipw, 0xb543d252, "");
SYMBOL_CRC(free_libipw, 0x6ce67118, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xb7e85ba6, "");
SYMBOL_CRC(libipw_txb_free, 0x4ec9765f, "");
SYMBOL_CRC(libipw_rx_any, 0xfa7ab473, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xe20d0b2e, "");
SYMBOL_CRC(libipw_rx, 0x0fb17455, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x0f21977c, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x40f18656, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x5c5d3274, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x58d208d0, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xba4e5358, "");
SYMBOL_CRC(libipw_get_channel, 0x50775c1b, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xf8c71c16, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x78ab8dad, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xebbe6d65, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x5dcf4059, "");
SYMBOL_CRC(libipw_channel_to_index, 0xaa13d8ae, "");
SYMBOL_CRC(libipw_set_geo, 0x5bd3837f, "");
SYMBOL_CRC(libipw_get_geo, 0xd02a3063, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbde098d6, "seq_lseek" },
	{ 0x505b1bbe, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34f7168, "wiphy_new_nm" },
	{ 0x6969f49a, "lib80211_crypt_info_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xac87a7c, "lib80211_get_crypto_ops" },
	{ 0x12ab3b34, "init_net" },
	{ 0x8660e373, "skb_pull" },
	{ 0xecbf8de4, "skb_push" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x17337af8, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xf5969260, "wireless_spy_update" },
	{ 0xcfdd7ef9, "netif_rx" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2aa4b606, "seq_read" },
	{ 0x5708d701, "lib80211_crypt_info_free" },
	{ 0x24ba8ffc, "remove_proc_entry" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb840db19, "seq_printf" },
	{ 0x9e9469cb, "lib80211_crypt_delayed_deinit" },
	{ 0xecc2337d, "single_release" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xa8e3bb33, "single_open" },
	{ 0xae51ca49, "wiphy_free" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe605f94f, "alloc_etherdev_mqs" },
	{ 0xb826758f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a4edc64, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "2C19031B733A5804C34CA22");
