#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xaad508f8, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x31f271c3, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0xe14b582b, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x6ecb68ac, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0x2c7fff87, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xc6fefbeb, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0x653703e2, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x632816c3, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0xa5f649d1, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0xbec98cb8, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0xcc2ae1f1, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x289f6340, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x597130f7, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x39ddb00b, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x2bc7b54d, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x23ff07aa, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xff6afa6c, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0x19396c88, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0x17357490, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x89e4abe6, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xbad9e0c8, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x5b546cb8, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0x929018ef, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x3c25cde3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x996854de, "alloc_netdev_mqs" },
	{ 0x34f7168, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x543cef72, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x30905f38, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x216ff355, "cfg80211_rx_mlme_mgmt" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x2b319f4b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xa1e32326, "cfg80211_put_bss" },
	{ 0x57b499ea, "netif_device_detach" },
	{ 0x746b8322, "cfg80211_ch_switch_notify" },
	{ 0x84a05be, "_dev_info" },
	{ 0x9bffcac8, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x573c25fd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4029b4a2, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xfbf1db3f, "__cfg80211_radar_event" },
	{ 0x8069ac8e, "cfg80211_tdls_oper_request" },
	{ 0xa1a8888d, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x89e5039, "devm_kmemdup" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x33cc502b, "cfg80211_ibss_joined" },
	{ 0x35976ce, "request_firmware_nowait" },
	{ 0xa990e631, "simple_open" },
	{ 0x8660e373, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xef27ad0e, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x2c4f9a21, "cfg80211_michael_mic_failure" },
	{ 0x828e0751, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecbf8de4, "skb_push" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc58fc514, "cfg80211_del_sta_sinfo" },
	{ 0x2d6731f2, "wiphy_unregister" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf08f90d3, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x855648ad, "netif_tx_stop_all_queues" },
	{ 0x3a6c3061, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x2e1c5134, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcfdd7ef9, "netif_rx" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda9e6b88, "skb_trim" },
	{ 0x49175646, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x877486d7, "cfg80211_sched_scan_stopped_locked" },
	{ 0x8fc801, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0x6954cc7f, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x8c8c2a70, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2359753, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0d775d3, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3f0d64af, "skb_copy" },
	{ 0x71190470, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4b25ecc2, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x55cffbc8, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7a8c48b9, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x876920a8, "param_ops_int" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xc1c744cb, "cfg80211_connect_done" },
	{ 0xdaab0f30, "__cfg80211_get_bss" },
	{ 0xae51ca49, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7f94c6d, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7db40bf2, "skb_queue_head" },
	{ 0xd93f5791, "cfg80211_sched_scan_results" },
	{ 0x49507112, "skb_complete_wifi_ack" },
	{ 0xb741ba9d, "cfg80211_mgmt_tx_status_ext" },
	{ 0x3091f8bb, "device_set_wakeup_enable" },
	{ 0xc165842a, "cfg80211_rx_assoc_resp" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x907b6d50, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x367b0a61, "cfg80211_chandef_dfs_required" },
	{ 0x52113b4c, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb92c730, "cfg80211_sched_scan_stopped" },
	{ 0xd7d9dd00, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x51f570f4, "cfg80211_remain_on_channel_expired" },
	{ 0xa0f0010f, "cfg80211_cac_event" },
	{ 0x17ca76eb, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb4d8696, "cfg80211_register_netdevice" },
	{ 0x8dae6855, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xc88bdb2, "ieee80211_amsdu_to_8023s" },
	{ 0x8df8864e, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x20c3814b, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44864cce, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbd8a9672, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0x150673d4, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x453a8c0f, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ead59df, "dev_addr_mod" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "C51D7A99DF0CD8CDA5642E0");
