#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xe33d4f80, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x33f6041a, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0xb4c4835f, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x073467ec, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x9da8bbf4, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x641ba720, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xcb91b990, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xc24966d8, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xf3efa594, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x0ad5d033, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x48e11928, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x07c3809f, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x183040c7, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x1bcbaa69, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xb4246669, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xc7fac013, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x9266c08f, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x2464d321, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xc5e08c0a, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xe40f1a9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1beabf4c, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18f1f3ab, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x11c0a5b9, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x112b5581, "mt76_eeprom_init" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4bf40790, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3b4e11be, "mt76_mcu_send_and_get_msg" },
	{ 0x23bde38c, "mt76_eeprom_override" },
	{ 0xf369759e, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x93538583, "mt76_get_sar_power" },
	{ 0x24c847ae, "mt76x02_eeprom_copy" },
	{ 0x5a4b825, "mt76x02_mcu_calibrate" },
	{ 0x4374206, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x83912df, "mt76_get_min_avg_rssi" },
	{ 0x1aecc370, "mt76_init_sar_power" },
	{ 0x2f374428, "mt76x02_phy_adjust_vga_gain" },
	{ 0x9cb13972, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xda892c44, "devm_kmalloc" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");
