#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x33f2fd67, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xa207a145, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x6041e2fc, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x77e8409b, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x93689cef, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xed5a0dde, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0xb0b43dc4, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x98050291, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x1077e85f, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x1b39bfa7, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xbefed490, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x27bebf71, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0xc4e923f8, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0xfc12692c, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x0e798d97, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0x0346ee32, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc1b13f16, "rt2x00queue_get_entry" },
	{ 0x353bcdf4, "rt2800_process_rxwi" },
	{ 0xfcfcd007, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc904a40f, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xda29b9a1, "rt2800_get_txwi_rxwi_size" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x4177f557, "rt2800_disable_wpdma" },
	{ 0x18699b58, "rt2800_wait_wpdma_ready" },
	{ 0x578912b0, "rt2800_enable_radio" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x721c302f, "rt2800_txdone" },
	{ 0x2bd6b525, "rt2800_txdone_nostatus" },
	{ 0x21260237, "rt2800_txstatus_timeout" },
	{ 0x163db967, "rt2800_txstatus_pending" },
	{ 0x1b075105, "rt2800_probe_hw" },
	{ 0x569aac61, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x82e7e5fb, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "C1A4D577C93752B32ED7651");
