#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wlcore_set_key, "_gpl", "");
KSYMTAB_FUNC(wlcore_alloc_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_free_hw, "_gpl", "");
KSYMTAB_FUNC(wlcore_probe, "_gpl", "");
KSYMTAB_FUNC(wlcore_remove, "_gpl", "");
KSYMTAB_DATA(wl12xx_debug_level, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_send, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_wait_for_event_or_timeout, "_gpl", "");
KSYMTAB_FUNC(wlcore_get_native_channel_type, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_test, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_configure, "_gpl", "");
KSYMTAB_FUNC(wl1271_cmd_data_path, "_gpl", "");
KSYMTAB_FUNC(wl12xx_cmd_build_probe_req, "_gpl", "");
KSYMTAB_FUNC(wlcore_cmd_generic_cfg, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_disable_interrupts_nosync, "_gpl", "");
KSYMTAB_FUNC(wlcore_enable_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_synchronize_interrupts, "_gpl", "");
KSYMTAB_FUNC(wlcore_translate_addr, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_partition, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_fw_logger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_rssi_trigger, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_soft_gemini_sense, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_sched_scan_completed, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_ba_rx_constraint, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_channel_switch, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_dummy_packet, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_max_tx_failure, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_inactive_sta, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_roc_complete, "_gpl", "");
KSYMTAB_FUNC(wlcore_event_beacon_loss, "_gpl", "");
KSYMTAB_FUNC(wl1271_free_tx_id, "", "");
KSYMTAB_FUNC(wl12xx_is_dummy_packet, "", "");
KSYMTAB_FUNC(wlcore_calc_packet_alignment, "", "");
KSYMTAB_FUNC(wlcore_tx_complete, "", "");
KSYMTAB_FUNC(wl1271_tx_flush, "_gpl", "");
KSYMTAB_FUNC(wl1271_tx_min_rate_get, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_sleep_auth, "_gpl", "");
KSYMTAB_FUNC(wl12xx_acx_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_init_mem_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_pm_config, "_gpl", "");
KSYMTAB_FUNC(wl1271_acx_set_ht_capabilities, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_firmware, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_upload_nvs, "_gpl", "");
KSYMTAB_FUNC(wlcore_boot_run_firmware, "_gpl", "");
KSYMTAB_FUNC(wl1271_format_buffer, "_gpl", "");
KSYMTAB_FUNC(wl1271_debugfs_update_stats, "_gpl", "");
KSYMTAB_FUNC(wlcore_set_scan_chan_params, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_ssid_list, "_gpl", "");
KSYMTAB_FUNC(wlcore_scan_sched_scan_results, "_gpl", "");

SYMBOL_CRC(wlcore_set_key, 0x9162b23f, "_gpl");
SYMBOL_CRC(wlcore_alloc_hw, 0xa649ce73, "_gpl");
SYMBOL_CRC(wlcore_free_hw, 0xe70c5a4b, "_gpl");
SYMBOL_CRC(wlcore_probe, 0x169c3ab7, "_gpl");
SYMBOL_CRC(wlcore_remove, 0x9e287257, "_gpl");
SYMBOL_CRC(wl12xx_debug_level, 0x06d3b27e, "_gpl");
SYMBOL_CRC(wl1271_cmd_send, 0x9b266710, "_gpl");
SYMBOL_CRC(wlcore_cmd_wait_for_event_or_timeout, 0xc8daf1f8, "_gpl");
SYMBOL_CRC(wlcore_get_native_channel_type, 0x20351125, "_gpl");
SYMBOL_CRC(wl1271_cmd_test, 0x6cb7cbb2, "_gpl");
SYMBOL_CRC(wl1271_cmd_configure, 0xb96d1ee1, "_gpl");
SYMBOL_CRC(wl1271_cmd_data_path, 0x668205f7, "_gpl");
SYMBOL_CRC(wl12xx_cmd_build_probe_req, 0xdb5245ca, "_gpl");
SYMBOL_CRC(wlcore_cmd_generic_cfg, 0x69cb0774, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts, 0x5d1a8baf, "_gpl");
SYMBOL_CRC(wlcore_disable_interrupts_nosync, 0x59c0c664, "_gpl");
SYMBOL_CRC(wlcore_enable_interrupts, 0xf5cb9f76, "_gpl");
SYMBOL_CRC(wlcore_synchronize_interrupts, 0xaacf615e, "_gpl");
SYMBOL_CRC(wlcore_translate_addr, 0x0fab4a56, "_gpl");
SYMBOL_CRC(wlcore_set_partition, 0x1f9ab906, "_gpl");
SYMBOL_CRC(wlcore_event_fw_logger, 0xb3b93eb0, "_gpl");
SYMBOL_CRC(wlcore_event_rssi_trigger, 0xbb2a8459, "_gpl");
SYMBOL_CRC(wlcore_event_soft_gemini_sense, 0x884f497b, "_gpl");
SYMBOL_CRC(wlcore_event_sched_scan_completed, 0x421abff2, "_gpl");
SYMBOL_CRC(wlcore_event_ba_rx_constraint, 0x38aebf07, "_gpl");
SYMBOL_CRC(wlcore_event_channel_switch, 0x29669b6d, "_gpl");
SYMBOL_CRC(wlcore_event_dummy_packet, 0x1d980f39, "_gpl");
SYMBOL_CRC(wlcore_event_max_tx_failure, 0x2fa8a5f8, "_gpl");
SYMBOL_CRC(wlcore_event_inactive_sta, 0x9d02af0b, "_gpl");
SYMBOL_CRC(wlcore_event_roc_complete, 0x4b22f400, "_gpl");
SYMBOL_CRC(wlcore_event_beacon_loss, 0xd760610f, "_gpl");
SYMBOL_CRC(wl1271_free_tx_id, 0x442aa739, "");
SYMBOL_CRC(wl12xx_is_dummy_packet, 0xaf7ef25b, "");
SYMBOL_CRC(wlcore_calc_packet_alignment, 0xbdb2b726, "");
SYMBOL_CRC(wlcore_tx_complete, 0x5d8dbebf, "");
SYMBOL_CRC(wl1271_tx_flush, 0xb0f99e4a, "_gpl");
SYMBOL_CRC(wl1271_tx_min_rate_get, 0xfb547b4d, "_gpl");
SYMBOL_CRC(wl1271_acx_sleep_auth, 0x75a9bad3, "_gpl");
SYMBOL_CRC(wl12xx_acx_mem_cfg, 0x4468632c, "_gpl");
SYMBOL_CRC(wl1271_acx_init_mem_config, 0x2be0ae03, "_gpl");
SYMBOL_CRC(wl1271_acx_pm_config, 0x24b26fad, "_gpl");
SYMBOL_CRC(wl1271_acx_set_ht_capabilities, 0xef196294, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_firmware, 0xd02e2042, "_gpl");
SYMBOL_CRC(wlcore_boot_upload_nvs, 0x73327488, "_gpl");
SYMBOL_CRC(wlcore_boot_run_firmware, 0x608fc7e5, "_gpl");
SYMBOL_CRC(wl1271_format_buffer, 0x85498cd1, "_gpl");
SYMBOL_CRC(wl1271_debugfs_update_stats, 0x7b1df686, "_gpl");
SYMBOL_CRC(wlcore_set_scan_chan_params, 0xea0a0443, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_ssid_list, 0xa41c61b8, "_gpl");
SYMBOL_CRC(wlcore_scan_sched_scan_results, 0x06804260, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x573c25fd, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa1a8888d, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xee910d97, "device_create_file" },
	{ 0x112f5fd6, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7dd30f19, "ieee80211_queue_delayed_work" },
	{ 0xb2ccae9b, "ieee80211_proberesp_get" },
	{ 0x3ac95e40, "device_wakeup_enable" },
	{ 0x35976ce, "request_firmware_nowait" },
	{ 0xa990e631, "simple_open" },
	{ 0x8660e373, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae5d9674, "platform_get_resource" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2dba0278, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecbf8de4, "skb_push" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x6a3aaa44, "no_seek_end_llseek" },
	{ 0xec6a4e5d, "ieee80211_wake_queues" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x1d05e922, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xdc58d9db, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x611fedfe, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x2e1c5134, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x40adf4ea, "ieee80211_stop_queue" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa55d8ba4, "ieee80211_ready_on_channel" },
	{ 0xcb8a8410, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda9e6b88, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48d60e37, "ieee80211_cqm_beacon_loss_notify" },
	{ 0xdda822fc, "pv_ops" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0x5aa5900, "ieee80211_sched_scan_results" },
	{ 0x4f54ea70, "__pm_runtime_resume" },
	{ 0xa45a3935, "ieee80211_scan_completed" },
	{ 0xebce8be2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xa6b92ec2, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48a013b9, "pm_runtime_force_resume" },
	{ 0xd1c04db0, "ieee80211_unregister_hw" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb3c8bf58, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x686a6862, "ieee80211_cqm_rssi_notify" },
	{ 0x56867d2b, "__pm_runtime_suspend" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4f60622b, "ieee80211_queue_work" },
	{ 0xc38114ef, "__pm_runtime_use_autosuspend" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xb4537f96, "__pm_runtime_disable" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0x4bf9b4d3, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd2a206c4, "pm_runtime_force_suspend" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x932076c4, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0xeccde279, "device_remove_bin_file" },
	{ 0x585d1524, "device_remove_file" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x7db40bf2, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9b8f161f, "ieee80211_rx_napi" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x907b6d50, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xde7b2ef9, "ieee80211_iterate_interfaces" },
	{ 0xd6b5c969, "ieee80211_sched_scan_stopped" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x610d1850, "ieee80211_chswitch_done" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xab6f12b3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x17ca76eb, "skb_dequeue" },
	{ 0xe1a07d74, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8a76e308, "ieee80211_free_hw" },
	{ 0x9dca6822, "ieee80211_probereq_get" },
	{ 0x8dae6855, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf0414c1b, "ieee80211_ap_probereq_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3ba440c, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x2022f8ae, "ieee80211_pspoll_get" },
	{ 0x4b9bc6d3, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3721816a, "ieee80211_restart_hw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x413211de, "ieee80211_get_hdrlen_from_skb" },
	{ 0xb49d1ba, "dev_pm_set_dedicated_wake_irq" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe8560198, "ieee80211_stop_rx_ba_session" },
	{ 0x8a1904b5, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x55fb00e0, "device_create_bin_file" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa93c4e98, "ieee80211_tx_status_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0xf58b86a6, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7c239db, "pm_wakeup_dev_event" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x2bc8d4b0, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211");


MODULE_INFO(srcversion, "9ABC1192ED56FDAFC44DB0F");
