#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0xe2deb849, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0x77a52e71, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0x9f571d5d, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0xa33cd1ed, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0x03117218, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ffb2827, "auxiliary_driver_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2aa4b606, "seq_read" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x766adbbf, "seq_write" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb840db19, "seq_printf" },
	{ 0xecc2337d, "single_release" },
	{ 0x796c8695, "__auxiliary_driver_register" },
	{ 0xa8e3bb33, "single_open" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0xda892c44, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21dc8c2c, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x97127f32, "seq_hex_dump" },
	{ 0xbde098d6, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4c671cc0, "intel_vsec_add_aux" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "D770822DFF128711B2FCAC0");
