#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x4e26d59f, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0x8771e2e0, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x1676a40a, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xca241301, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0xaf286df0, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xea12cb3f, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x94a8b842, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x9d62140e, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x4e5f7543, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x9df39387, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x95d5b227, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x02c72e5a, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0xa3920306, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x112d1de9, "_gpl");
SYMBOL_CRC(gether_suspend, 0xacd1c78e, "_gpl");
SYMBOL_CRC(gether_resume, 0xa650f0ae, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x11c7c184, "_gpl");
SYMBOL_CRC(gether_disconnect, 0xd15c19f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x8ead59df, "dev_addr_mod" },
	{ 0xc9207789, "register_netdev" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0x84a05be, "_dev_info" },
	{ 0xd0d775d3, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x6eec6bdc, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0x3a6c3061, "netif_tx_wake_queue" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b25ecc2, "netif_carrier_on" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x17ca76eb, "skb_dequeue" },
	{ 0x573c25fd, "skb_queue_tail" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0xcfdd7ef9, "netif_rx" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe605f94f, "alloc_etherdev_mqs" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0542bb6, "usb_func_wakeup" },
	{ 0xef948b2f, "usb_gadget_wakeup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x697d8c09, "eth_mac_addr" },
	{ 0x44864cce, "eth_validate_addr" },
	{ 0xea2223ee, "ethtool_op_get_link" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "778C22C6102DA480283AC31");
