#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bbc75a1, "inode_newsize_ok" },
	{ 0xa1fbe33a, "d_drop" },
	{ 0x2d94b76a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xa5a17022, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf98e3f8, "crypto_skcipher_decrypt" },
	{ 0xa09b4546, "truncate_inode_pages_final" },
	{ 0xae71248c, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xdc225268, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x8895a65e, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0x1986b877, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcd0b4d73, "inode_init_once" },
	{ 0x9d111c4e, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb75b6f26, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfe6a96da, "vfs_get_link" },
	{ 0xbaccb66e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xb5e337f7, "generic_file_read_iter" },
	{ 0xc38402a0, "unlock_page" },
	{ 0x50e89a1c, "noop_llseek" },
	{ 0xadfaf54, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x51bcd9c0, "kmem_cache_alloc_lru_noprof" },
	{ 0xdfefc266, "lock_rename" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x29742e23, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8fd75abe, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcfe8475f, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d23d4c6, "sget" },
	{ 0x260dbedd, "sysfs_create_group" },
	{ 0x70ac0bf, "__put_devmap_managed_folio_refs" },
	{ 0xeb1c26f8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x885b64eb, "block_dirty_folio" },
	{ 0x401ee55c, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xf908998d, "kern_path" },
	{ 0x99715885, "vfs_set_acl" },
	{ 0xf0feda17, "misc_register" },
	{ 0xa05a2b88, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ef88480, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa3dbb2f5, "key_validate" },
	{ 0x3700485, "__kmem_cache_create_args" },
	{ 0xc73f7b1e, "unlock_rename" },
	{ 0x144e68b5, "vfs_rmdir" },
	{ 0xd5640a5e, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3590e55a, "truncate_setsize" },
	{ 0xcfb760c0, "kthread_create_on_node" },
	{ 0xbe141827, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf56586d0, "vfs_symlink" },
	{ 0x95e50549, "super_setup_bdi" },
	{ 0x4116f1c, "igrab" },
	{ 0x14e59b56, "generic_read_dir" },
	{ 0xd4816adf, "d_instantiate_new" },
	{ 0xc8212adf, "d_add" },
	{ 0x8276a0f0, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x5c5b2a1f, "vfs_mknod" },
	{ 0x4a8e73d8, "init_user_ns" },
	{ 0x5c760cc3, "dentry_open" },
	{ 0x4e2ce21c, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0xd6d18953, "__folio_put" },
	{ 0x17fc834e, "vfs_fileattr_set" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb840db19, "seq_printf" },
	{ 0x786efbf5, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x68051da7, "deactivate_locked_super" },
	{ 0x83e8cf30, "touch_atime" },
	{ 0xe6b885ac, "lookup_one_len_unlocked" },
	{ 0xbb04f4aa, "vfs_llseek" },
	{ 0xdec31047, "alloc_pages_noprof" },
	{ 0x8d05d915, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1c223860, "filemap_splice_read" },
	{ 0x1b3c3146, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x4cbe8f97, "key_type_user" },
	{ 0x5a6ecc22, "kill_anon_super" },
	{ 0x50652dd1, "vfs_getattr_nosec" },
	{ 0xcb3fe5a2, "iget5_locked" },
	{ 0x5bb46ad3, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb07e1320, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xa82c0791, "inode_permission" },
	{ 0x8ebf0c44, "mntget" },
	{ 0x65778729, "crypto_alloc_shash" },
	{ 0xfd95ab95, "__mark_inode_dirty" },
	{ 0x4bf9b4d3, "generic_file_llseek" },
	{ 0x8b455587, "make_bad_inode" },
	{ 0x35a189a6, "vfs_get_acl" },
	{ 0xebfaae6b, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x73076220, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x61e86ecc, "iget_failed" },
	{ 0xe44a42ea, "kernel_write" },
	{ 0x74b6d531, "kmem_cache_destroy" },
	{ 0x37d59f4f, "kobject_put" },
	{ 0x8d45e75, "vfs_create" },
	{ 0x1b774a77, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe78fbc73, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x767c356c, "generic_fillattr" },
	{ 0x9258c864, "setattr_prepare" },
	{ 0x108de0a4, "clear_nlink" },
	{ 0xdc0cc82a, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbdcc6e27, "d_instantiate" },
	{ 0xa7c5bc7, "misc_deregister" },
	{ 0x2d51e6a0, "clear_inode" },
	{ 0xb9cffd8c, "notify_change" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaee47a63, "vfs_getattr" },
	{ 0xb4f4946a, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb9b2b02, "folio_unlock" },
	{ 0x231a2899, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8f8017dc, "init_special_inode" },
	{ 0x4d2bc06b, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3cdb7fee, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9fa04c21, "d_make_root" },
	{ 0xac8f53fb, "d_splice_alias" },
	{ 0xef339ace, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x55424aa5, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4a939fb0, "iput" },
	{ 0x8acaee68, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xecc0b7d2, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4631285, "crypto_skcipher_setkey" },
	{ 0x6cde4ec, "fsstack_copy_attr_all" },
	{ 0x842f407b, "register_filesystem" },
	{ 0xcd8c16b1, "vfs_unlink" },
	{ 0xd3b8a535, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87752cf1, "wake_up_process" },
	{ 0xfb9a0521, "vfs_mkdir" },
	{ 0x578ac6b, "crypto_destroy_tfm" },
	{ 0x21a6001a, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD0AB1D807F19F6104FC30E");
