#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x659b4e3a, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x7ccf3f96, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xdcafeb00, "_gpl");
SYMBOL_CRC(fat_scan, 0x3e597b89, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x933d4629, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xfdcfd9a9, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xeeed7625, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x9d9f8e4c, "_gpl");
SYMBOL_CRC(fat_getattr, 0x22fb0219, "_gpl");
SYMBOL_CRC(fat_setattr, 0xc780804b, "_gpl");
SYMBOL_CRC(fat_attach, 0xef0230ac, "_gpl");
SYMBOL_CRC(fat_detach, 0x03875e47, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xd1626fe1, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x0b20f447, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xbfbdf31e, "_gpl");
SYMBOL_CRC(fat_param_spec, 0xb84ba512, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x4d0eef06, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xa5c71e9a, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x3501d8d1, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x69d6c5fc, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x1c20f274, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x182e1172, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x4f480d61, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xda9aba0e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x3cdd41a1, "_gpl");
SYMBOL_CRC(fat_update_time, 0xa18ff399, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5a17022, "block_invalidate_folio" },
	{ 0x3a87c321, "__breadahead" },
	{ 0xf200fbad, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7a9b0098, "load_nls" },
	{ 0xe6209fdf, "generic_cont_expand_simple" },
	{ 0xa09b4546, "truncate_inode_pages_final" },
	{ 0xdc225268, "generic_file_mmap" },
	{ 0x8f52f03c, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0x50d6e673, "ilookup" },
	{ 0xd802b299, "invalidate_inode_buffers" },
	{ 0x192b5d2e, "blk_finish_plug" },
	{ 0x5f5b9f0a, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc3a99e83, "mnt_drop_write_file" },
	{ 0xd41bc3f1, "fs_param_is_gid" },
	{ 0xcd0b4d73, "inode_init_once" },
	{ 0xde58924f, "compat_ptr_ioctl" },
	{ 0xdd93ee2f, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xf49c3da4, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb5e337f7, "generic_file_read_iter" },
	{ 0xf8ef7a90, "inode_maybe_inc_iversion" },
	{ 0x65720468, "truncate_pagecache" },
	{ 0xc5bfdbc, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5228bed7, "setattr_copy" },
	{ 0xc4dabd25, "__wait_on_buffer" },
	{ 0xadfaf54, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x51bcd9c0, "kmem_cache_alloc_lru_noprof" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xf881935d, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x46b5060b, "from_vfsgid" },
	{ 0xb1b26f30, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf1e2d9c6, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa6b836ea, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x885b64eb, "block_dirty_folio" },
	{ 0xe6cabcd, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd42dc0e8, "__insert_inode_hash" },
	{ 0x2a9b536, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ef88480, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3700485, "__kmem_cache_create_args" },
	{ 0x3d9c1f86, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x3590e55a, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x432917c4, "generic_encode_ino32_fh" },
	{ 0x5c8d4ca, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4116f1c, "igrab" },
	{ 0x14e59b56, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8cb97cc7, "mpage_readahead" },
	{ 0x5205076f, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x4a8e73d8, "init_user_ns" },
	{ 0x766adbbf, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb840db19, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb8e8b8bb, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5babe45f, "blkdev_issue_flush" },
	{ 0x517b0d6e, "generic_fh_to_parent" },
	{ 0x522fbd8c, "__fs_parse" },
	{ 0x1c223860, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x822ea7d9, "from_kuid_munged" },
	{ 0x28eae914, "__generic_file_fsync" },
	{ 0xe1d34586, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfd95ab95, "__mark_inode_dirty" },
	{ 0x4bf9b4d3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ffec64e, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x4b5db9d1, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6faef4d8, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2e0b5ce5, "fs_param_is_uid" },
	{ 0x74b6d531, "kmem_cache_destroy" },
	{ 0xf4416b53, "blkdev_issue_discard" },
	{ 0x5796e72a, "filemap_fdatawrite" },
	{ 0x767c356c, "generic_fillattr" },
	{ 0x9258c864, "setattr_prepare" },
	{ 0x26259ddc, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5c4620b3, "sync_blockdev_nowait" },
	{ 0x5115500b, "make_vfsgid" },
	{ 0xce570256, "blk_start_plug" },
	{ 0x2d51e6a0, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf11d7557, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x570b6acf, "fs_param_is_string" },
	{ 0x70a95d70, "new_inode" },
	{ 0x2029f4ca, "mark_buffer_dirty" },
	{ 0x5ef9fd07, "security_inode_setattr" },
	{ 0x103d373d, "__find_get_block" },
	{ 0x9a0ade7e, "filemap_fdatawrite_range" },
	{ 0x6989dd41, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x232dbcb, "__blockdev_direct_IO" },
	{ 0x9fa04c21, "d_make_root" },
	{ 0xb5485ae, "__bforget" },
	{ 0xbe3d51b6, "sb_set_blocksize" },
	{ 0xc456b391, "block_truncate_page" },
	{ 0x8e10e88b, "write_dirty_buffer" },
	{ 0xd19963b5, "sync_filesystem" },
	{ 0x669a7993, "fsnotify" },
	{ 0xdd698e85, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfdf418d8, "from_vfsuid" },
	{ 0xc9a2f582, "inode_dio_wait" },
	{ 0x8bef264d, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbc02ad7, "cont_write_begin" },
	{ 0x4a939fb0, "iput" },
	{ 0x9c2685da, "fs_param_is_enum" },
	{ 0x86aa528d, "fs_param_is_s32" },
	{ 0xafaabe7b, "iter_file_splice_write" },
	{ 0x9e102948, "fs_param_is_bool" },
	{ 0xecc0b7d2, "generic_file_write_iter" },
	{ 0x3ecfe7e1, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbea60cf6, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa3c10d51, "fs_param_is_u32" },
	{ 0x346d2712, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");
