#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x86ce2cfe, "");
SYMBOL_CRC(snd_ac97_read, 0xb00aac4d, "");
SYMBOL_CRC(snd_ac97_write_cache, 0x58167cff, "");
SYMBOL_CRC(snd_ac97_update, 0xb4a994c5, "");
SYMBOL_CRC(snd_ac97_update_bits, 0x3acd5f53, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x4d62e86e, "");
SYMBOL_CRC(snd_ac97_bus, 0x1da3fbc6, "");
SYMBOL_CRC(snd_ac97_mixer, 0x619aa84f, "");
SYMBOL_CRC(snd_ac97_update_power, 0x12fb80af, "");
SYMBOL_CRC(snd_ac97_suspend, 0x0be15cce, "");
SYMBOL_CRC(snd_ac97_resume, 0xa308d77d, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x0f5de934, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x4ccb75b9, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0x94b06070, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0xf92c54d0, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0xc5d9ad6d, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0xb996103e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xc09b2d46, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd9972def, "snd_ctl_make_virtual_master" },
	{ 0x32c1bc38, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xf19bb87d, "snd_ctl_boolean_mono_info" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d0b2ed1, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9b7627fd, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x7dc52dac, "snd_ctl_rename" },
	{ 0x709993fa, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa5c056e8, "snd_device_new" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2359753, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xb840db19, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x86d5db7d, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcfa7720f, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x87d1b33a, "dev_set_name" },
	{ 0xcbb712b7, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5d2d6815, "device_unregister" },
	{ 0x455da0a4, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0x8e771a8a, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a4d73d3, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x704d3298, "put_device" },
	{ 0xb8180ca5, "snd_ctl_remove_id" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");
