#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x13424061, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0xc5254a36, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xe8a6b92b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9e05b28, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9233ba54, "cs35l56_get_calibration" },
	{ 0x82b89c, "__pm_runtime_set_status" },
	{ 0x8a4d73d3, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2bc8d4b0, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdf364282, "device_property_read_u32_array" },
	{ 0x84a05be, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6c5fa72f, "cs35l56_init_cs_dsp" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x16aaa35c, "cs_dsp_halo_init" },
	{ 0x35ef39d7, "cs_dsp_power_down" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x68a8754d, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x18a2589f, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf1d37c8a, "cs35l56_mbox_send" },
	{ 0x1f260f1d, "cs35l56_hw_init" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x12ae37d8, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x821242aa, "cs_dsp_power_up" },
	{ 0x9a020904, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xd7eae639, "cs35l56_wait_for_firmware_boot" },
	{ 0x1eda800a, "devm_kasprintf" },
	{ 0x58580ba0, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x7108f9e3, "cs35l56_is_fw_reload_needed" },
	{ 0x93b4cc48, "regmap_read" },
	{ 0x47cbd3d7, "cs_dsp_run" },
	{ 0x4f54ea70, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7ad1fd78, "cs_amp_write_cal_coeffs" },
	{ 0x48a013b9, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x35cfe0ae, "cs35l56_runtime_resume_common" },
	{ 0x1756bb77, "regmap_update_bits_base" },
	{ 0x22064437, "dev_err_probe" },
	{ 0x5bb6a2bf, "regmap_multi_reg_write" },
	{ 0x56867d2b, "__pm_runtime_suspend" },
	{ 0x5bf5a78d, "component_add" },
	{ 0x2cd006e4, "set_primary_fwnode" },
	{ 0xc38114ef, "__pm_runtime_use_autosuspend" },
	{ 0x57fb6c74, "devm_gpiod_get_index_optional" },
	{ 0xb4537f96, "__pm_runtime_disable" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0xb75ed163, "cs35l56_firmware_shutdown" },
	{ 0xd2a206c4, "pm_runtime_force_suspend" },
	{ 0x932076c4, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd7751d7, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc378602, "regcache_cache_only" },
	{ 0x535483d6, "is_acpi_device_node" },
	{ 0x124b86c6, "regcache_sync" },
	{ 0x93911539, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x9282c94, "firmware_request_nowarn" },
	{ 0xcbb712b7, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xee00b122, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5106edd8, "cs_dsp_stop" },
	{ 0xe1a07d74, "pm_runtime_set_autosuspend_delay" },
	{ 0x9763c7c, "gpiod_set_value_cansleep" },
	{ 0x560aee0b, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1ce1f6ea, "sound_debugfs_root" },
	{ 0x888f8dc8, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x97368623, "cs_dsp_init_debugfs" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "DF35788D1B6C76EFB434D87");
