#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x362e23bb, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xaf4122c5, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xba560ae7, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x7ea62cac, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0xe342d83d, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x955889f8, "");
SYMBOL_CRC(hda_dsp_probe, 0x7560ea77, "");
SYMBOL_CRC(hda_dsp_remove, 0xedbccde3, "");
SYMBOL_CRC(hda_power_down_dsp, 0x1e2e4c71, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x0a0d18cc, "");
SYMBOL_CRC(sof_hda_common_ops, 0x5867bc0c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xda892c44, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x85b2acb0, "pci_alloc_irq_vectors" },
	{ 0xca98fe1, "intel_nhlt_get_dmic_geo" },
	{ 0x8e9fafb8, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xa12feea7, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x76fe6831, "hda_sdw_process_wakeen" },
	{ 0x69aaa2e9, "hda_sdw_int_enable" },
	{ 0xead13314, "hda_bus_ml_init" },
	{ 0xc4724a50, "hda_codec_probe_bus" },
	{ 0xab0f4b87, "sof_hda_bus_exit" },
	{ 0xd960480c, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x645676d5, "sdw_intel_exit" },
	{ 0x73908f9, "hda_codec_check_for_state_change" },
	{ 0x9adebc2e, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xc4fde95e, "sdw_hda_dai_trigger" },
	{ 0x170d7931, "hda_bus_ml_free" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x7eaccb19, "hda_dsp_cl_boot_firmware" },
	{ 0x77b84284, "hda_dsp_pcm_hw_params" },
	{ 0xaeaaed69, "hda_sdw_check_lcount" },
	{ 0xbacd0a4a, "snd_intel_dsp_driver_probe" },
	{ 0xbdcbd2d1, "pci_irq_vector" },
	{ 0xe1f6acc1, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0xe662d655, "pci_ioremap_bar" },
	{ 0xcca3cc2f, "hda_dsp_ctrl_init_chip" },
	{ 0x4b6d2653, "sdw_hda_dai_hw_free" },
	{ 0xc68995f0, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda7a7c1d, "hda_dsp_suspend" },
	{ 0x753cd678, "hda_dsp_runtime_suspend" },
	{ 0xec205eff, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeac66ef7, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x14a391e3, "hda_dai_config" },
	{ 0xae087d12, "hda_probes_unregister" },
	{ 0x45a9ff1a, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb64309db, "hda_dsp_pcm_ack" },
	{ 0x7d30f9d6, "hda_dsp_trace_release" },
	{ 0x5e7e6804, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x84a05be, "_dev_info" },
	{ 0x569d9be1, "hda_dsp_dump" },
	{ 0x481ac1e2, "sdw_intel_startup" },
	{ 0x109b5c14, "hda_dsp_pcm_pointer" },
	{ 0xa0acecdf, "sdw_intel_process_wakeen_event" },
	{ 0x7746a728, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5cbff78c, "sof_mailbox_read" },
	{ 0xdd3fb378, "hda_bus_ml_put_all" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0xd8aa9bc8, "debugfs_create_bool" },
	{ 0xcc45d4f1, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xee5ab625, "__tracepoint_sof_intel_hda_irq" },
	{ 0x8e460cbe, "platform_device_unregister" },
	{ 0x4eafb9b8, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0xdc07b19c, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x33d686, "hda_codec_device_remove" },
	{ 0xa36975ec, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61f3b289, "snd_sof_dsp_update_bits" },
	{ 0x719e6501, "snd_sof_pci_update_bits" },
	{ 0x68b4cea1, "sof_hda_bus_init" },
	{ 0xb3c6d953, "hda_dsp_runtime_idle" },
	{ 0xfea3584c, "hda_dsp_pcm_open" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x2d8c4140, "sdw_intel_lnl_hw_ops" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x2e1c5134, "param_ops_charp" },
	{ 0x6df6a14b, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x43d0ae8a, "hda_dsp_pcm_close" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0x1eda800a, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x12bf2e85, "hda_check_ipc_irq" },
	{ 0xfa794e68, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xedeb8c2, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4cfcbb7f, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8db9f4d3, "sof_machine_unregister" },
	{ 0x25421ee, "skl_dai" },
	{ 0x62f81d9f, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x27110aca, "sdw_intel_probe" },
	{ 0x5afbe996, "snd_sof_load_firmware_raw" },
	{ 0x4ecf8e43, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xa3abe1d1, "hda_is_chain_dma_supported" },
	{ 0xa1f25746, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0xd8691f84, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x22064437, "dev_err_probe" },
	{ 0x696d5864, "hda_dsp_stream_init" },
	{ 0x5ee07e9d, "hda_dsp_get_stream_ldp" },
	{ 0x75ce432c, "hda_dsp_stream_free" },
	{ 0xf7a9040e, "hda_dsp_ctrl_get_caps" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xe4a85240, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x23d28c03, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x7284a1c4, "hda_codec_i915_init" },
	{ 0x56b252e6, "pci_free_irq_vectors" },
	{ 0xb8c8f06a, "hda_dsp_check_stream_irq" },
	{ 0x8ddb0c99, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xd42b44c8, "hda_dsp_ipc_get_window_offset" },
	{ 0x6f960759, "hda_ipc_msg_data" },
	{ 0xf68b07b7, "sof_machine_register" },
	{ 0x7601ec6e, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0x58086924, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xbe41a23a, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xddf2b20d, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdb275ba, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x9087ee48, "hda_get_interface_mask" },
	{ 0xce41f652, "hda_codec_i915_display_power" },
	{ 0x535483d6, "is_acpi_device_node" },
	{ 0x4e1d8fbb, "hda_dsp_pcm_trigger" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "504D6412EB6F6100D2A5658");
