#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xee9c4776, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x7e8e381b, "_gpl");
SYMBOL_CRC(af_alg_release, 0x5d5a9c1a, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x14b836b9, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x006d1df6, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x83faeec3, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0x680ba35e, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xa47f0473, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xeb84ee2b, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x7cab34a4, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x566c658c, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xf0c6a66e, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x44e25cf7, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x4b7679da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xb91cd3dc, "sk_alloc" },
	{ 0xab539b6, "sock_init_data" },
	{ 0xece8f186, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc1380228, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xae788bc8, "extract_iter_to_sg" },
	{ 0xad7a5526, "proto_register" },
	{ 0x1b5a9639, "sock_register" },
	{ 0x6ce3fa74, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xb826758f, "try_module_get" },
	{ 0xfe9da9ee, "lock_sock_nested" },
	{ 0x71944942, "release_sock" },
	{ 0x32bb6c2a, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x7c5f1a7e, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd6d18953, "__folio_put" },
	{ 0x70ac0bf, "__put_devmap_managed_folio_refs" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1898a94b, "sk_free" },
	{ 0x81876af5, "security_sock_graft" },
	{ 0xc2761d5a, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x37d4df4b, "sock_wake_async" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x722a6554, "_copy_from_iter" },
	{ 0xdec31047, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x3caf6a75, "iov_iter_revert" },
	{ 0x1986b877, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xb75b6f26, "key_put" },
	{ 0xce0bf1ce, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e373688, "sock_no_connect" },
	{ 0xbfb6ed64, "sock_no_socketpair" },
	{ 0x9cb2f23d, "sock_no_getname" },
	{ 0xb62ff584, "sock_no_ioctl" },
	{ 0x62c1ca1b, "sock_no_listen" },
	{ 0xbfc9f9b2, "sock_no_shutdown" },
	{ 0x1384fa48, "sock_no_sendmsg" },
	{ 0x8d6a28c, "sock_no_recvmsg" },
	{ 0x20d6e4d6, "sock_no_mmap" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");
