#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x6b84a168, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xda85b950, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xa21f119d, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x451fa228, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x9986aeb4, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x0c17828d, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x50fe3500, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xd7e049ec, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x0e89d011, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x4732b5d0, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x545d0a88, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x49027ce4, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x13878087, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0xb89ab4aa, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb1183d8a, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x18c84f27, "crypto_grab_aead" },
	{ 0xb309fa0f, "crypto_grab_shash" },
	{ 0xba5c073c, "shash_no_setkey" },
	{ 0x3d5dd2be, "ahash_register_instance" },
	{ 0xa2fe2c49, "crypto_grab_skcipher" },
	{ 0x1a2d764b, "skcipher_register_instance" },
	{ 0x32258769, "aead_register_instance" },
	{ 0xf98e3f8, "crypto_skcipher_decrypt" },
	{ 0xe78fbc73, "crypto_skcipher_encrypt" },
	{ 0xd8554d1c, "shash_ahash_digest" },
	{ 0x8e41cc27, "shash_ahash_finup" },
	{ 0xd01a62d0, "crypto_shash_final" },
	{ 0x4a8040f3, "shash_ahash_update" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b774a77, "crypto_alloc_skcipher" },
	{ 0x578ac6b, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8764277c, "crypto_alloc_ahash" },
	{ 0x1ddde31d, "crypto_alloc_aead" },
	{ 0x4631285, "crypto_skcipher_setkey" },
	{ 0x45119f51, "crypto_spawn_tfm2" },
	{ 0xf89597e6, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x252755f5, "crypto_shash_setkey" },
	{ 0xd7599c33, "crypto_shash_import" },
	{ 0xcf356d2b, "crypto_shash_export" },
	{ 0xe3543b49, "crypto_clone_shash" },
	{ 0xad69e769, "crypto_aead_setauthsize" },
	{ 0x12a74a6c, "crypto_aead_setkey" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0xb331c49, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4e891abd, "crypto_unregister_template" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE601D458BFDA37FC7B6285");
