#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0xc359f013, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x210f9838, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x855dcce0, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x5abb29f2, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x2c4d978c, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xb296a253, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x5ce07850, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca4f7c5d, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd2abd54, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xddec8918, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x3e4b949e, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdd675a96, "vb2_plane_cookie" },
	{ 0xd5bebccf, "vb2_ioctl_dqbuf" },
	{ 0x2a243c4d, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc1f4120, "vb2_ioctl_prepare_buf" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0x87c6e9b9, "vb2_buffer_done" },
	{ 0xcf91a277, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc7ce320a, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8893449c, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x526c9eec, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x131102cd, "vb2_fop_read" },
	{ 0xcbb093c9, "v4l2_device_register" },
	{ 0xf6b433c9, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0xc878c2bb, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf180e2a6, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x423070c2, "vb2_ioctl_streamon" },
	{ 0x275b6d40, "vb2_fop_poll" },
	{ 0x1b7f6d74, "v4l2_ctrl_new_std" },
	{ 0x29c8264e, "v4l2_ctrl_handler_free" },
	{ 0x61eb534, "v4l2_device_unregister" },
	{ 0xc750ce9c, "pci_disable_device" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0x54fb718a, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x876920a8, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d107bd1, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdecd5d61, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xbc56310d, "vb2_ioctl_reqbufs" },
	{ 0xb5bfb098, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8b68635f, "vb2_dma_sg_memops" },
	{ 0xcd01284c, "video_ioctl2" },
	{ 0x26901893, "pci_enable_device" },
	{ 0xd73bd132, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f22906a, "vb2_ops_wait_finish" },
	{ 0xd7e04969, "__pci_register_driver" },
	{ 0x24319816, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x53ef2265, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x50a7eadb, "vb2_ioctl_querybuf" },
	{ 0x2d3299a0, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4302e0ee, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92997ed8, "_printk" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");
