#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x4fa2cd85, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0x1a8fea15, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x43515cc6, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0xfb68da74, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x3b518298, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xf44a0499, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x003e67b9, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x5824bdfa, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x4e0831d2, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0x9f8047be, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x904852ea, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xf69ca6b7, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x7105e7cd, "_gpl");
SYMBOL_CRC(sdhci_request, 0x968dd859, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0xcfe139db, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0x4a398c7f, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xee040001, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x73414aee, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x8bafefa4, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x4a8d6691, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0xefaecfc4, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0x3a9764f8, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x5caab90a, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0x0e1f6779, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0xad594a2c, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x5c2b5953, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x1049f1d2, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0xee37b754, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0x81230d4b, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x7886eb9b, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x2ef053f7, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xe195e076, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x29d4bf93, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x2d2fa54d, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x2ad88687, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xb37aa148, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xec1272f4, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x81edd539, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0x173fa536, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0x6672ed38, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x622da945, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x320e33d2, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x902089e9, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xbee7ce68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x5f22ff99, "dma_map_sg_attrs" },
	{ 0x3141bc0b, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x8ed8bbde, "dma_unmap_sg_attrs" },
	{ 0xeb2a6509, "mmc_alloc_host" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0x88b73ea2, "regulator_disable" },
	{ 0xcc1133b9, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x76cebe3d, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x1d125a46, "mmc_send_abort_tuning" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1bc4ef71, "mmc_regulator_set_ocr" },
	{ 0x1be7e08f, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd08139bc, "__dma_sync_single_for_cpu" },
	{ 0x4990e2f4, "mmc_gpio_get_cd" },
	{ 0xf786ce73, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f0a47cc, "led_classdev_register_ext" },
	{ 0x4b0142bd, "mmc_add_host" },
	{ 0x61bdbb09, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x654e99f8, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x38afd412, "mmc_can_gpio_ro" },
	{ 0x61d37588, "mmc_gpio_get_ro" },
	{ 0x96428f4c, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x852a9b70, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95a1d4fc, "regulator_is_supported_voltage" },
	{ 0x2e2eef6f, "regulator_get_current_limit" },
	{ 0xcf25e172, "regulator_enable" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0xda892c44, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3642e6bc, "dma_map_page_attrs" },
	{ 0x8ec86165, "devm_kfree" },
	{ 0x193c3d22, "mmc_regulator_get_supply" },
	{ 0x65dfa329, "dma_max_mapping_size" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0xdfa01ab6, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2bd24f80, "mmc_detect_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfcda6d70, "sg_miter_start" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x250a087a, "__dma_sync_sg_for_cpu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeede4b23, "mmc_command_done" },
	{ 0xf5d70345, "sdio_signal_irq" },
	{ 0x2ac28de, "sg_miter_next" },
	{ 0x2d737f80, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");
