#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xe7465a8f, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x20f09b87, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x1e6f527f, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x8aae14f4, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x9e57ae64, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x87d953a0, "");
SYMBOL_CRC(mlx5_cmd_check, 0xd5a9a9a3, "");
SYMBOL_CRC(mlx5_cmd_do, 0xec551db3, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xe831161b, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xe8bd9688, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xb0166908, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xfb0e9c11, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xd99edacc, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xfa8d2468, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xff356725, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x4e6b2866, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xe9591db4, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x877424dd, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xccd89440, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0xe2035cf5, "");
SYMBOL_CRC(mlx5_eq_enable, 0x5ce29119, "");
SYMBOL_CRC(mlx5_eq_disable, 0x6ccb306c, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x7577f530, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x2ce42a5d, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x1de1da60, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x69910731, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x6100b23f, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x87c0ac7e, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x031bf828, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x9e2ae765, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x1956d5c9, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x503f0974, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x62f8e5de, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x9d01675d, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x6c539ae7, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x694cc4d6, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xf3d6f7b0, "");
SYMBOL_CRC(mlx5_create_cq, 0xbd6818ee, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x9404d5e2, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x0a9938c4, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa8bcbaa7, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xbe12890a, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xabec9909, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x7744d624, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x02fb70d2, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x63d408ac, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x2a4cde9e, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x64ecc83b, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x0c1bc68c, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xa56ec03b, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x104a424a, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x698a3ddb, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x2258f315, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x9585a93a, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xf3b890a5, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xa59c4782, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xe3e03832, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x99c78001, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x219ab68c, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x11a05855, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x6ac288b7, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xd3e54717, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xdd1a583a, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xfea23ace, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xc2890949, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x295a2724, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x76273497, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x83f5b1bc, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x80c76b01, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x1437d2c5, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x5bd2aad7, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xefbb150d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x3d82fa4e, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x8a3b917f, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xfa261099, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x91ed5902, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x23907e74, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x4b7ad169, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xce373979, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x34c0de14, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xe34cf203, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xd4891455, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x5199169f, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x57330165, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x621b093f, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x9fd16bcd, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x58bcddaa, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x1d54c183, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x4970409e, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x6a28e7dc, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x7be47ae8, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xa19a6c43, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xec9dbb88, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x0f0a4ff2, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x55c9fbbb, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x6c459886, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x94e8dc3c, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x9960cedd, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x95c84dfa, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x8c7566b1, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x470a6456, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x274d1acb, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xe9f3812b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x188fc08a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x8b60a86b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x82bc7269, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xc9b94eab, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x506b35b2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xe4728dde, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x921e15ce, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x75533a14, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xc215c1e5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x929af04f, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xb75e70a3, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xa87441b2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xb3886be2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xd71c6463, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xb2b566e9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xbf2063eb, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xdf307984, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x0b42d196, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xfb2944aa, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x14d5c4da, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x045b8e9d, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x167e0db8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xfbda2626, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x0131c235, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x0420e9fe, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x759f238b, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xba611365, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x1aec763e, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x2f2ba5e6, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xdcdf4a4d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xcef6752b, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0xcabf4e04, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x4e56174d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xa7fc96e3, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x2cfba6f8, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xeb99c100, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x67974b45, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xf654f077, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x2136339e, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x89cd5091, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x8dc3afbd, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xb92044d3, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xa0956b42, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x39b06cf0, "");
SYMBOL_CRC(mlx5_fc_create, 0x424f7d99, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x3d7c88b6, "");
SYMBOL_CRC(mlx5_fc_query, 0x047a7f36, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x7beedbef, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x674f73a4, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x9f7c33ec, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xc1fc0d51, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x45abef1a, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xe3a255ed, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xf86a9546, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x978f9f7c, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xd607e148, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xa53240b1, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x0254376b, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x27832dd5, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x92bbd35b, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xf0bd3800, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x67924ae3, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x2f8fb4a7, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x256f9bcf, "");
SYMBOL_CRC(mlx5_notifier_register, 0xca4b0f32, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x39c6a125, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xe38507cb, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xf2635a2d, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xa70dae80, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x33b39dfe, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xce30c4e3, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x7bb47e41, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0xfe1b6b86, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x5f88b0df, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x2a893a3c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0x570fdc45, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xf05c04fe, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x839d8dff, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x9ff42a14, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x4b667bae, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x36e09dd7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xe272cc6d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xfb787602, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x87e92f60, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xd018bec1, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6283cec6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x49820669, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x49e30605, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x81d8f650, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xe0b31577, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x839e0592, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x340afde6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x2247af55, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x364c0e24, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x0356b002, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xf3b5aab6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xbbb2fc10, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x6d8065fd, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x1ce4d27b, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x22088bdb, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xfcb0b6c0, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x6868a5c8, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x1cbc4931, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x45c79159, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x721d2256, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x88c134bd, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xabeb8353, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xba7e6c3d, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x1d6c67d7, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xf3efd92d, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xd98f63dd, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xebd01f42, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xa195c2de, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x0353ce39, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xbb1551b4, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x1c6b5229, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0x53207417, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x193dbddf, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xebc26320, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x7a63583c, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x405c4d49, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xa0e37f16, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xb8bcf16a, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x7cbd589c, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x6bcc02d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xea2223ee, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x7c4edbdb, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2fde9275, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3c441ff9, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb1fa6048, "pci_restore_state" },
	{ 0x350c9cff, "bpf_trace_run1" },
	{ 0x4a3450a6, "__inet6_lookup_established" },
	{ 0x3a6c3061, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x6bf14fec, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x1e243186, "page_pool_create" },
	{ 0x939f3b3b, "skb_checksum" },
	{ 0x6798a825, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0x4422ae3a, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x4a8ee560, "__kmalloc_cache_node_noprof" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x307582eb, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x435d3ec7, "devl_resources_unregister" },
	{ 0x3349b6bc, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x328b3d57, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x168ca1bc, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69b378e5, "debugfs_create_u32" },
	{ 0x3ef88480, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17d9cc40, "flow_rule_match_ipv6_addrs" },
	{ 0xaaeef0c8, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xc448332d, "devl_params_unregister" },
	{ 0xafbb1300, "ptp_clock_unregister" },
	{ 0xc16d23b6, "__pskb_pull_tail" },
	{ 0xa75ad0a4, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xf5c72296, "devlink_trap_report" },
	{ 0x3700485, "__kmem_cache_create_args" },
	{ 0xd7868676, "__neigh_event_send" },
	{ 0x2769ebcf, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x95d62437, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x299d0896, "devl_traps_register" },
	{ 0x4c31aa18, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x98c271e1, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0xe39865d9, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xdda822fc, "pv_ops" },
	{ 0xdbd4503e, "flow_rule_match_enc_control" },
	{ 0x10d16157, "bpf_trace_run3" },
	{ 0x2aa4b606, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x202ec118, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0xc9fe46b3, "rps_may_expire_flow" },
	{ 0xe3bd2948, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xeafd37ae, "xsk_set_tx_need_wakeup" },
	{ 0x2bb34a11, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x220787d, "netdev_reset_tc" },
	{ 0xa51f59b3, "neigh_destroy" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xde8e87d6, "trace_event_buffer_reserve" },
	{ 0x8eff0d17, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x266fe757, "debugfs_create_x32" },
	{ 0x45218a50, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe3bd0730, "flow_rule_match_enc_ports" },
	{ 0x16e913ef, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x733cc588, "pci_release_regions" },
	{ 0x7895a701, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3141bc0b, "__dma_sync_single_for_device" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xb4aedf0e, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4a34a82b, "devl_assert_locked" },
	{ 0x93662dc3, "pcie_print_link_status" },
	{ 0x337b7cd4, "xp_set_rxq_info" },
	{ 0x4c3f6e89, "flow_rule_match_vlan" },
	{ 0xaf49881, "devl_port_unregister" },
	{ 0x25a6f817, "xdp_rxq_info_unreg" },
	{ 0x859823ba, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2a6c525c, "devl_param_driverinit_value_get" },
	{ 0x1d757a3e, "napi_build_skb" },
	{ 0x55adf200, "netdev_master_upper_dev_get_rcu" },
	{ 0x5330f9b2, "__xdp_rxq_info_reg" },
	{ 0xaa65657e, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x7eb253ed, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c83b465, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1f7ca5ca, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0d775d3, "netif_carrier_off" },
	{ 0xb840db19, "seq_printf" },
	{ 0x303300c8, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ac54427, "devlink_priv" },
	{ 0x22506679, "pci_enable_ptm" },
	{ 0xf39d760, "devlink_port_register_with_ops" },
	{ 0xddc822a7, "pci_disable_sriov" },
	{ 0xf6810491, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe682fac1, "dst_release" },
	{ 0x4b25ecc2, "netif_carrier_on" },
	{ 0x339e79c5, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x4d3296b0, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xb6d463cb, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdec31047, "alloc_pages_noprof" },
	{ 0xc750ce9c, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0xcf2a75ce, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x1ea35c9c, "page_pool_update_nid" },
	{ 0xecc2337d, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0x796c8695, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf15eee, "netif_set_tso_max_size" },
	{ 0xebaeb1d9, "vlan_dev_vlan_id" },
	{ 0x44dabde, "__skb_flow_dissect" },
	{ 0x4b3e5df8, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe5ec6e05, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x3d6d0689, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x9bd700fb, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8a79517, "skb_coalesce_rx_frag" },
	{ 0x1c7f31af, "xp_raw_get_data" },
	{ 0x9bbdf644, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xc6fa5e0d, "napi_schedule_prep" },
	{ 0x2301f944, "qdisc_reset" },
	{ 0x2866970a, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xf61d5401, "xp_alloc_batch" },
	{ 0xb7c791c6, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x5161b5c9, "napi_disable" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0xa1c7c497, "dcb_ieee_delapp" },
	{ 0xbbc9abbc, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x93bcdd33, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2e2ffae1, "debugfs_create_u8" },
	{ 0xa8e3bb33, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6be03c3f, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x6ab94684, "skb_ext_add" },
	{ 0xa644cfd, "pcie_bandwidth_available" },
	{ 0x56b252e6, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x5fc1ecdd, "flow_rule_match_control" },
	{ 0x436fd624, "flow_rule_match_ip" },
	{ 0x1622bce0, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x4fff48a8, "auxiliary_device_sysfs_irq_add" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa1fdee61, "dcb_ieee_setapp" },
	{ 0x343b5f2e, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x70512de1, "xsk_tx_release" },
	{ 0x19ab71ee, "devl_traps_unregister" },
	{ 0xf23f6ca7, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe19cf7a9, "pci_write_config_dword" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2436d91e, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xc949221e, "neigh_lookup" },
	{ 0x74b6d531, "kmem_cache_destroy" },
	{ 0x84d04779, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfc63916f, "__tracepoint_xdp_exception" },
	{ 0x2b5d640e, "__inet_lookup_established" },
	{ 0xe1f69ac8, "xsk_tx_completed" },
	{ 0x4747fcd8, "napi_alloc_skb" },
	{ 0xe605f94f, "alloc_etherdev_mqs" },
	{ 0xe54e5c11, "netdev_lower_get_next" },
	{ 0xe4a19bcb, "secpath_set" },
	{ 0xe08e1453, "flow_block_cb_lookup" },
	{ 0x69a93403, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9f9ef9ee, "devl_rate_leaf_create" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4968191, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x5f678639, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5e74e9c0, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb556de54, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x96b09232, "bpf_prog_put" },
	{ 0xe92e4ce1, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x1d593bb, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5ef7df74, "pci_cfg_access_unlock" },
	{ 0xfc2ccf8d, "xp_dma_map" },
	{ 0x9eb2733e, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3eb4e10c, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa1ca7a7c, "skb_copy_bits" },
	{ 0x5cdab5ea, "debugfs_attr_write" },
	{ 0xe623edfa, "dma_pool_create" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1901e53, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x26901893, "pci_enable_device" },
	{ 0x1e64c7be, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa01cfe8b, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x769cde3b, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x6aa71788, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x6aa142c, "register_fib_notifier" },
	{ 0x48a0873f, "auxiliary_device_init" },
	{ 0xb9ddcddb, "ip6_dst_hoplimit" },
	{ 0x57b4ef9c, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1b39a71e, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x85b2acb0, "pci_alloc_irq_vectors" },
	{ 0xa8dce18c, "netif_napi_add_weight" },
	{ 0x1c637add, "pci_enable_atomic_ops_to_root" },
	{ 0x3ba39935, "seq_release" },
	{ 0x991a28ec, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x1c6b4376, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x933f3de9, "xsk_clear_tx_need_wakeup" },
	{ 0x22d85b0, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x4992e716, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x7a64f8af, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcbb2798, "ndo_dflt_bridge_getlink" },
	{ 0x6eec6bdc, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x9dfedaa3, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x130f4b4, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd5e39fdf, "flow_rule_match_tcp" },
	{ 0x8b80eb61, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xa79c8c7d, "register_netdevice_notifier_dev_net" },
	{ 0x8dc030af, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6fe3c87, "trace_event_printf" },
	{ 0xc7b75100, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb82f657d, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xd7e04969, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x4dc99fdb, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf4993341, "pci_num_vf" },
	{ 0x2a4836d, "debugfs_create_atomic_t" },
	{ 0xbc99ac62, "flow_rule_match_eth_addrs" },
	{ 0x1580d269, "pci_disable_ptm" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x90e86dee, "xfrm_state_check_expire" },
	{ 0xf6c24c7, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7e51a7ac, "ptp_clock_index" },
	{ 0x297ab22c, "pci_request_regions" },
	{ 0x700a3e79, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x43b16662, "trace_event_raw_init" },
	{ 0x739ab3aa, "flow_block_cb_free" },
	{ 0x9d1ec87, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbf5bf56d, "xp_can_alloc" },
	{ 0x3f5aeaa0, "psample_sample_packet" },
	{ 0x9d9b194, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d654b94, "devlink_alloc_ns" },
	{ 0xa687be64, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xbb8b2cc8, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdf448bc0, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3b90f68f, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0xbde098d6, "seq_lseek" },
	{ 0x16c1243e, "page_pool_destroy" },
	{ 0x7f5ed599, "xdp_do_redirect" },
	{ 0xba907612, "devlink_free" },
	{ 0x79260d19, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5cba32e7, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xc72f6013, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x15d9c452, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x873f7145, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbdcbd2d1, "pci_irq_vector" },
	{ 0x5108eb56, "flow_rule_match_ipv4_addrs" },
	{ 0x5dd9c683, "ip_route_output_flow" },
	{ 0x6b575d2f, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xff675dff, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x4302e0ee, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xaee63eb3, "netdev_err" },
	{ 0xa43462c7, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x79b17439, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xdfa01ab6, "dev_driver_string" },
	{ 0x182aade8, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x688cc059, "trace_event_buffer_commit" },
	{ 0x8ead59df, "dev_addr_mod" },
	{ 0x92295c17, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5b2b4dfc, "ptp_find_pin" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0x367b4f58, "pci_read_config_dword" },
	{ 0x15603919, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x6719512c, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ffb2827, "auxiliary_driver_unregister" },
	{ 0x3642e6bc, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x6fff7ee1, "napi_complete_done" },
	{ 0x7978139e, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x64ca4e4f, "devlink_port_attrs_pci_vf_set" },
	{ 0xcb034d1e, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x6ad9d729, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x704d3298, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xd688c0ce, "__napi_schedule" },
	{ 0x53700bde, "devlink_port_health_reporter_create" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7c2f3431, "pcie_relaxed_ordering_enabled" },
	{ 0xa314ba25, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xe2b3abc4, "devlink_port_attrs_pci_pf_set" },
	{ 0xc2f90895, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x57b499ea, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1986b877, "__free_pages" },
	{ 0x84a05be, "_dev_info" },
	{ 0x473bd50e, "skb_vlan_pop" },
	{ 0x239e2443, "napi_gro_receive" },
	{ 0x9bffcac8, "netif_device_attach" },
	{ 0xdd315bf2, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x68e36175, "netdev_pick_tx" },
	{ 0x4ab80a06, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x77e3c2a8, "xp_raw_get_dma" },
	{ 0x81758a68, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2a7d7cef, "xdp_rxq_info_is_reg" },
	{ 0x3fffab11, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0xde056ccf, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xf42a70c1, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xde687e54, "devl_health_reporter_create" },
	{ 0xb4a68dfb, "flow_block_cb_setup_simple" },
	{ 0xc946449f, "pci_msix_can_alloc_dyn" },
	{ 0x84932168, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf77f3268, "unregister_netdevice_notifier_dev_net" },
	{ 0x3ae1cd85, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xa95736, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3d311803, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7f63f00, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3015eaec, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd08139bc, "__dma_sync_single_for_cpu" },
	{ 0x3032efac, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x6fd222fe, "__dev_get_by_index" },
	{ 0xa53c9b13, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe526d97b, "devlink_port_unregister" },
	{ 0x1580bc68, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x12ab3b34, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6202c04c, "softnet_data" },
	{ 0x5f54fee8, "ipv6_stub" },
	{ 0xa990e631, "simple_open" },
	{ 0x8660e373, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x76e915b0, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49372671, "simple_attr_release" },
	{ 0x8808b9f6, "ptp_clock_register" },
	{ 0x7f646f28, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x937a5c0d, "xsk_tx_peek_desc" },
	{ 0x47b787c1, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x799e5383, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0x7844c8a3, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x74d7f14c, "irq_get_irq_data" },
	{ 0x10971e7c, "dev_remove_pack" },
	{ 0x7e8a895, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0xc4cd51a8, "dev_get_by_index" },
	{ 0x9f14d060, "bpf_trace_run5" },
	{ 0x9a78e9d2, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb8b44c13, "skb_store_bits" },
	{ 0xe5cbcc1d, "devl_port_register_with_ops" },
	{ 0x59ab24af, "dev_get_by_index_rcu" },
	{ 0x994b90d8, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2252c948, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecbf8de4, "skb_push" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x4d0b2ed1, "pci_read_config_word" },
	{ 0x59c35c43, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdad6b062, "xsk_clear_rx_need_wakeup" },
	{ 0x81777d37, "seq_putc" },
	{ 0xc0d8bd36, "unregister_netdevice_notifier_net" },
	{ 0xb68690ff, "auxiliary_device_sysfs_irq_remove" },
	{ 0x8cf8ad0, "xsk_uses_need_wakeup" },
	{ 0xc9207789, "register_netdev" },
	{ 0x53cc193d, "unregister_fib_notifier" },
	{ 0x3ebd8e9f, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xec954c8e, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x264c0c2c, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xa9a02fb4, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2525ef8c, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xbe71cb87, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");

MODULE_INFO(srcversion, "AFA9C7C7F649BAC7D0709C9");
