#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xaa4a228a, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x6dde8949, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xf872d259, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x8d7d9de, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6960505, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c705533, "gro_cells_init" },
	{ 0x8ead59df, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3f0d64af, "skb_copy" },
	{ 0xd12f1ac8, "skb_copy_expand" },
	{ 0xab6f12b3, "consume_skb" },
	{ 0xecbf8de4, "skb_push" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x9c0c1d57, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x59be6bf9, "skb_to_sgvec" },
	{ 0xb9e1278f, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x71190470, "skb_clone" },
	{ 0xad44b445, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d433833, "crypto_aead_decrypt" },
	{ 0xc16d23b6, "__pskb_pull_tail" },
	{ 0x3b2d9210, "netdev_rx_handler_unregister" },
	{ 0x8a5e181f, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd0d775d3, "netif_carrier_off" },
	{ 0x85a76f68, "dev_mc_unsync" },
	{ 0xfe7a03e0, "dev_uc_unsync" },
	{ 0xe6fb421f, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x61bfe17f, "dev_uc_add" },
	{ 0x4b25ecc2, "netif_carrier_on" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd7d488ef, "genlmsg_put" },
	{ 0xda9e6b88, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfbae6ec2, "rtnl_link_register" },
	{ 0x8fec04a2, "genl_register_family" },
	{ 0x268b7dc4, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x578ac6b, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1ddde31d, "crypto_alloc_aead" },
	{ 0x12a74a6c, "crypto_aead_setkey" },
	{ 0xad69e769, "crypto_aead_setauthsize" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8d304f20, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x8660e373, "skb_pull" },
	{ 0x700a3e79, "___pskb_trim" },
	{ 0x453a8c0f, "ether_setup" },
	{ 0xe682fac1, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x73a25be5, "dev_mc_sync" },
	{ 0x32117cb1, "dev_uc_sync" },
	{ 0x6e77e55e, "dev_set_allmulti" },
	{ 0xeeb1c24, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x22477207, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x2bb34a11, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd00d064, "eth_type_trans" },
	{ 0xbed243c9, "gro_cells_receive" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0x6fd222fe, "__dev_get_by_index" },
	{ 0xf8748a46, "register_netdevice" },
	{ 0x1e59b458, "netdev_upper_dev_link" },
	{ 0xc4c1dbd2, "netdev_upper_dev_unlink" },
	{ 0xf0774151, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf6810491, "metadata_dst_alloc" },
	{ 0x62038243, "netif_stacked_transfer_operstate" },
	{ 0x4c56e1e1, "linkwatch_fire_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C78414ACA870AFB19B161BC");
