#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0x032e30e4, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x4aa24710, "");
SYMBOL_CRC(ath12k_core_resume_early, 0x93ed9ce1, "");
SYMBOL_CRC(ath12k_core_resume, 0x1269b507, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdc58d9db, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x44404eb1, "mhi_free_controller" },
	{ 0x21635d54, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8312034e, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0xc3cfae0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x98ac9b3b, "ieee80211_beacon_free_ema_list" },
	{ 0x2f250af3, "__netdev_alloc_skb" },
	{ 0x8d71130, "ieee80211_iterate_stations_mtx" },
	{ 0xa55d8ba4, "ieee80211_ready_on_channel" },
	{ 0xcb8a8410, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda9e6b88, "skb_trim" },
	{ 0x4283df20, "qmi_handle_release" },
	{ 0x9c0c1d57, "skb_cow_data" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27000578, "dma_set_coherent_mask" },
	{ 0x72492aa2, "mhi_alloc_controller" },
	{ 0x8fc801, "skb_realloc_headroom" },
	{ 0xc104ca57, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd6649729, "mhi_unregister_controller" },
	{ 0x4b8db2f7, "ieee80211_vif_to_wdev" },
	{ 0x3ab7467a, "alloc_netdev_dummy" },
	{ 0xa652fdf, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xa45a3935, "ieee80211_scan_completed" },
	{ 0xebce8be2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xd01a62d0, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x366c77f3, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x600097d6, "pskb_put" },
	{ 0xd1c04db0, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc750ce9c, "pci_disable_device" },
	{ 0xb042fad4, "ieee80211_radar_detected" },
	{ 0x72df85ab, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x4f60622b, "ieee80211_queue_work" },
	{ 0xc6fa5e0d, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x5161b5c9, "napi_disable" },
	{ 0x3af9a326, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x65778729, "crypto_alloc_shash" },
	{ 0x35f55a99, "pci_write_config_word" },
	{ 0x1f9bdd4b, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2e4424a0, "pci_release_region" },
	{ 0x8b57d84c, "mhi_prepare_for_power_up" },
	{ 0x56b252e6, "pci_free_irq_vectors" },
	{ 0xa9bbbd75, "qmi_add_lookup" },
	{ 0xdaab0f30, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x9b8f161f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe91f9b82, "ieee80211_gtk_rekey_notify" },
	{ 0x3091f8bb, "device_set_wakeup_enable" },
	{ 0x5f678639, "pcie_capability_read_word" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xf5281591, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12bd2fcc, "pci_request_region" },
	{ 0xad68421f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x535483d6, "is_acpi_device_node" },
	{ 0x907b6d50, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x26901893, "pci_enable_device" },
	{ 0x1e64c7be, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9282c94, "firmware_request_nowarn" },
	{ 0xec2dbdc6, "mhi_power_down_keep_dev" },
	{ 0x8ac6734b, "qmi_handle_init" },
	{ 0xab6f12b3, "consume_skb" },
	{ 0xd6c34c8a, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x85b2acb0, "pci_alloc_irq_vectors" },
	{ 0xa8dce18c, "netif_napi_add_weight" },
	{ 0xfd268d4c, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6d92efa3, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x98f5e1d8, "mhi_sync_power_up" },
	{ 0x4b34b96c, "mhi_power_down" },
	{ 0x17ca76eb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xed2e0825, "mhi_pm_resume" },
	{ 0x8a76e308, "ieee80211_free_hw" },
	{ 0x8dc030af, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xd7e04969, "__pci_register_driver" },
	{ 0x2a7948d0, "pci_assign_resource" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb1f865e, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xafa2d597, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfc3755b1, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x4b9bc6d3, "ieee80211_register_hw" },
	{ 0x3721816a, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x413211de, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbdcbd2d1, "pci_irq_vector" },
	{ 0x6b575d2f, "__netif_napi_del" },
	{ 0x2deda438, "mhi_register_controller" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdb512aa, "ieee80211_hw_restart_disconnect" },
	{ 0x4302e0ee, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x721cece4, "pskb_expand_head" },
	{ 0xdfa01ab6, "dev_driver_string" },
	{ 0xa93c4e98, "ieee80211_tx_status_skb" },
	{ 0x578ac6b, "crypto_destroy_tfm" },
	{ 0x367b4f58, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69509299, "ieee80211_find_sta" },
	{ 0x3642e6bc, "dma_map_page_attrs" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x40dc82b, "qmi_send_request" },
	{ 0x6fff7ee1, "napi_complete_done" },
	{ 0xf58b86a6, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4ceced91, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8f60ab62, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xd688c0ce, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xa1e32326, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f4cc1a7, "qmi_txn_wait" },
	{ 0x56305882, "mhi_pm_suspend" },
	{ 0x84a05be, "_dev_info" },
	{ 0x573c25fd, "skb_queue_tail" },
	{ 0x4029b4a2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x112f5fd6, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7dd30f19, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x252755f5, "crypto_shash_setkey" },
	{ 0x8660e373, "skb_pull" },
	{ 0xb52ba5f3, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbfac0aeb, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x74d7f14c, "irq_get_irq_data" },
	{ 0x65bc8f0f, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2dba0278, "ieee80211_remain_on_channel_expired" },
	{ 0x2252c948, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecbf8de4, "skb_push" },
	{ 0xe7435a94, "dma_alloc_attrs" },
	{ 0x4d0b2ed1, "pci_read_config_word" },
	{ 0x59c35c43, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xec6a4e5d, "ieee80211_wake_queues" },
	{ 0x53a3f2d0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfb01095, "qmi_txn_init" },
	{ 0x32219693, "ieee80211_report_low_ack" },
	{ 0xa662e40d, "ieee80211_beacon_get_template" },
	{ 0x272b97b6, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d05e922, "ieee80211_free_txskb" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "mac80211,mhi,cfg80211,qmi_helpers");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B7365A1A89453E38DE2D345");
