#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0xe380051f, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xea42138c, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xadb6a5db, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x4e43489f, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xb066aba1, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x0d2242b8, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x5ef05a28, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x2accd161, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x13adf068, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x63e1d636, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xe74ae921, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x8fc9b280, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x0262cc72, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x9e6d546b, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xb7b0dcd6, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x8ddcbf4d, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0xb9bde346, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xeb87844b, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x77f75715, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0x820c1956, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0x990f0f49, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x9e74b4a4, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x331fff82, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x59f2da0a, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0xa76c482c, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0xc7d3d5a1, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x1a90116a, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xfbefee12, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0xe67ae4a0, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x21ab27b3, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0xe5ad97ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87752cf1, "wake_up_process" },
	{ 0x688cc059, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x704d3298, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x9a872187, "device_for_each_child_reverse" },
	{ 0x84a05be, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x55dcd233, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xa53c9b13, "perf_trace_run_bpf_submit" },
	{ 0x89cccdb8, "devm_acpi_dev_add_driver_gpios" },
	{ 0x189ff067, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xbb4b389, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x3ebd8e9f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbc9598d6, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x260dbedd, "sysfs_create_group" },
	{ 0xeb1c26f8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cd2a25a, "serdev_device_wait_until_sent" },
	{ 0x1fb6baee, "__serdev_device_driver_register" },
	{ 0x350c9cff, "bpf_trace_run1" },
	{ 0xd7cd0fd9, "_dev_warn" },
	{ 0xb3b09e91, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ef88480, "kmem_cache_alloc_noprof" },
	{ 0x636e008, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3700485, "__kmem_cache_create_args" },
	{ 0xd7dc21e7, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0xcfb760c0, "kthread_create_on_node" },
	{ 0xbe141827, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xfa794e68, "platform_device_register_full" },
	{ 0xde8e87d6, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffe6aab1, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x22064437, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1b5ee75a, "device_link_add" },
	{ 0x45a7f317, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x38085859, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd639ce46, "__dev_fwnode" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x630f5c4, "bus_register" },
	{ 0x74b6d531, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7cc0ce24, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x535483d6, "is_acpi_device_node" },
	{ 0xb12943c1, "gpiod_put" },
	{ 0x907b6d50, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x726e703b, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x87d1b33a, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x9d450c73, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1c6b4376, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x5d2d6815, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x130f4b4, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6fe3c87, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0xbcb76c06, "device_initialize" },
	{ 0x5e698a56, "serdev_device_set_flow_control" },
	{ 0x43b16662, "trace_event_raw_init" },
	{ 0x4073ee64, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xffca73a5, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x737c098e, "fwnode_get_next_child_node" },
	{ 0x5cba32e7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0xdb052aa0, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");
