#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x23d28c03, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x2d8c4140, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x27110aca, "");
SYMBOL_CRC(sdw_intel_startup, 0x481ac1e2, "");
SYMBOL_CRC(sdw_intel_exit, 0x645676d5, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xa0acecdf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b3dcf4d, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x191d8c77, "debugfs_remove" },
	{ 0x12e30abf, "cdns_xfer_msg_defer" },
	{ 0xfc1b2c23, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6bf14fec, "device_del" },
	{ 0x9e946828, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1eda800a, "devm_kasprintf" },
	{ 0x43084b4a, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x2aa4b606, "seq_read" },
	{ 0xf4e2b1fa, "debugfs_create_file" },
	{ 0x82915a31, "sdw_stream_add_master" },
	{ 0x4f54ea70, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf2d460aa, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8324adb5, "acpi_fetch_acpi_dev" },
	{ 0xc3512676, "device_get_named_child_node" },
	{ 0x648c0e6e, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0xceb5cb30, "sdw_cdns_config_update" },
	{ 0xb840db19, "seq_printf" },
	{ 0xaf16e5ec, "sdw_bus_master_delete" },
	{ 0xecc2337d, "single_release" },
	{ 0x796c8695, "__auxiliary_driver_register" },
	{ 0x9c89bb1b, "sdw_cdns_check_self_clearing_bits" },
	{ 0xc38114ef, "__pm_runtime_use_autosuspend" },
	{ 0xa2cc26e9, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x876920a8, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xa8e3bb33, "single_open" },
	{ 0x817c2e15, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0xb4537f96, "__pm_runtime_disable" },
	{ 0x43e4a4e8, "debugfs_create_dir" },
	{ 0x26cbe0d2, "sdw_master_read_prop" },
	{ 0x6272c953, "hdac_bus_eml_get_count" },
	{ 0xd5632b22, "sdw_compute_params" },
	{ 0x932076c4, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x53198fe6, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1d593bb, "simple_attr_open" },
	{ 0x5cdab5ea, "debugfs_attr_write" },
	{ 0xda892c44, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x48a0873f, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6f3fc1b2, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d740b36, "sdw_cdns_clock_restart" },
	{ 0x64724ab3, "sdw_cdns_debugfs_init" },
	{ 0xad0a786d, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xe1a07d74, "pm_runtime_set_autosuspend_delay" },
	{ 0xda2f7ed0, "sdw_bus_master_add" },
	{ 0x53129c6e, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x1812e58d, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x8249c97f, "sdw_cdns_is_clock_stop" },
	{ 0xbde098d6, "seq_lseek" },
	{ 0xa054feff, "sdw_cdns_config_update_set_wait" },
	{ 0xd782097b, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c190121, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb70e78e0, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82b89c, "__pm_runtime_set_status" },
	{ 0x8ffb2827, "auxiliary_driver_unregister" },
	{ 0x8ef830f8, "devm_snd_soc_register_component" },
	{ 0x12080d4e, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x704d3298, "put_device" },
	{ 0x8704e708, "cdns_set_sdw_stream" },
	{ 0x2bc8d4b0, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb9c8536d, "fwnode_property_read_u32_array" },
	{ 0x84a05be, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x31d81214, "sdw_clear_slave_status" },
	{ 0x3d311803, "debugfs_attr_read" },
	{ 0xecf21548, "sdw_stream_remove_master" },
	{ 0x72946998, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x98a454a2, "sdw_cdns_exit_reset" },
	{ 0x8cd1f5c0, "_dev_err" },
	{ 0x37a7c3ce, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0x49372671, "simple_attr_release" },
	{ 0x7844c8a3, "__auxiliary_device_add" },
	{ 0x599068a2, "sdw_cdns_alloc_pdi" },
	{ 0x5509c1c8, "sdw_cdns_clock_stop" },
	{ 0x63f79400, "fwnode_property_read_u16_array" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,soundwire-cadence,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "5246981DC83D7F233A4C3AD");
