#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0xfde3b471, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xb91e62cb, "");
SYMBOL_CRC(dccp_v4_send_check, 0x84b9fd66, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0xbc2dadf0, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xb1ac1201, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x1ece1311, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x5eef970c, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x02f4adb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5f36b6f, "dccp_rcv_state_process" },
	{ 0x4d6e963d, "dccp_reqsk_send_ack" },
	{ 0x8856a720, "inet_lookup_reuseport" },
	{ 0xb14be80a, "__inet_lookup_listener" },
	{ 0x332fedf7, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x115d613c, "sock_common_getsockopt" },
	{ 0xf0a2266d, "inet_bind" },
	{ 0xa1e87a2e, "__inet_inherit_port" },
	{ 0x926c53ec, "inet_dccp_listen" },
	{ 0x1562b77d, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x22803719, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0x88dd2f87, "__xfrm_policy_check" },
	{ 0x74215b26, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5dd9c683, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xe236e068, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f7e462d, "sk_error_report" },
	{ 0xc49e34d6, "register_pernet_subsys" },
	{ 0x3943fa41, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x53c039b8, "inet_getname" },
	{ 0x6531664b, "inet_stream_connect" },
	{ 0x6ce3fa74, "proto_unregister" },
	{ 0x29158681, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x47d9370a, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0x50b9a835, "dccp_done" },
	{ 0xa8d25484, "inet_release" },
	{ 0xb90945c5, "__sk_dst_check" },
	{ 0x3a7818fe, "dccp_disconnect" },
	{ 0x95d02693, "ip_route_output_key_hash" },
	{ 0xad7a5526, "proto_register" },
	{ 0x8772e604, "inet_hash" },
	{ 0xb07e4e57, "__sk_receive_skb" },
	{ 0x61aeab22, "dccp_poll" },
	{ 0x2d9ca65b, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xb2f00f7d, "inet_csk_get_port" },
	{ 0x8903102a, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xc92b68bd, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xa574f168, "inet_accept" },
	{ 0xcf63e14a, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfed5bb, "ip6_mtu" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xd911435d, "inet_add_protocol" },
	{ 0xe9aa5994, "inet_shutdown" },
	{ 0x1898a94b, "sk_free" },
	{ 0x2fa741e6, "dccp_close" },
	{ 0x4a65e55a, "dccp_reqsk_init" },
	{ 0x9ea96a81, "inet_hash_connect" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0x8bbf0b48, "inet_csk_route_child_sock" },
	{ 0x51c839eb, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x33be9953, "security_sk_classify_flow" },
	{ 0x1476206d, "inet_csk_update_pmtu" },
	{ 0xcb9e2c86, "dccp_getsockopt" },
	{ 0xc1571ab6, "dccp_parse_options" },
	{ 0x282843fd, "unregister_pernet_subsys" },
	{ 0x939f3b3b, "skb_checksum" },
	{ 0xbfb6ed64, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20d6e4d6, "sock_no_mmap" },
	{ 0xc16d23b6, "__pskb_pull_tail" },
	{ 0x19bf4a97, "dccp_child_process" },
	{ 0x976d2137, "sock_common_recvmsg" },
	{ 0xc07d24d8, "dccp_setsockopt" },
	{ 0x6720a7a9, "dccp_ioctl" },
	{ 0xa75e60c8, "inet_sk_rebuild_header" },
	{ 0xb492269d, "inet_del_protocol" },
	{ 0xaf39cfec, "ipv4_mtu" },
	{ 0x865895e6, "dccp_recvmsg" },
	{ 0x60de3877, "inet_sendmsg" },
	{ 0x38a7e39e, "dccp_check_req" },
	{ 0x46040e3e, "dccp_create_openreq_child" },
	{ 0xff1ad626, "inet_csk_prepare_forced_close" },
	{ 0x96311f2d, "security_skb_classify_flow" },
	{ 0x8c7d93, "sock_pfree" },
	{ 0xafb944c5, "dccp_rcv_established" },
	{ 0xb4823000, "dccp_send_sync" },
	{ 0xe682fac1, "dst_release" },
	{ 0xa112afc4, "sock_release" },
	{ 0x5e729b5b, "dccp_make_response" },
	{ 0x7ccfd3e0, "dccp_destroy_sock" },
	{ 0xa549088d, "dccp_ctl_make_reset" },
	{ 0x64d73522, "sock_gettstamp" },
	{ 0xf4febc03, "sk_setup_caps" },
	{ 0xb221cebf, "ip_build_and_send_pkt" },
	{ 0x67bb7ca6, "dccp_sendmsg" },
	{ 0xba1bed23, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xbbb7485d, "inet_twsk_put" },
	{ 0x925c39d1, "inet_unhash" },
	{ 0xf5bdb1b1, "ip_getsockopt" },
	{ 0x5166e808, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xde1437d3, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x664bee20, "inet_csk_reqsk_queue_drop" },
	{ 0x2b5d640e, "__inet_lookup_established" },
	{ 0xfd858d75, "inet_bhash2_reset_saddr" },
	{ 0x35ca9be3, "inet_csk_addr2sockaddr" },
	{ 0x9e2ddec6, "inet_unregister_protosw" },
	{ 0x446f0d4c, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2470a5f3, "dccp_shutdown" },
	{ 0x85f0013e, "inet_bhash2_update_saddr" },
	{ 0x9490c16a, "dccp_connect" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "67349EA39CB2AF9FCC07215");
