#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x22212ed5, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x75197937, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xe054ef8b, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x60aa44fc, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xc96584f4, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x3417cb40, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x4f621373, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xac92c0d0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xb1a358e9, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xad76c156, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xd2dd80dc, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf6a4e627, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x222a8f43, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x5774b547, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x04705072, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x46c74626, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xccf4a735, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x71679d8e, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x6a0b560c, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x403ca389, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x5b69d703, "_gpl");
SYMBOL_CRC(print_tuple, 0xc8f2952d, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x6acefef7, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xa9ad3d55, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x3ad356fa, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xd25ca0ca, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xb72eaa02, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x67550a8f, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x1abb7869, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x9d4750cd, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xd36a97e6, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xb8dfbf83, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1e3839a8, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x0accb77d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x462a5e6f, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xab0b7e9d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x808a1cdd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x5750206d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xdbca61a6, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x0889d349, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xd82cfcdd, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xe75a3e4c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x14da73f9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x4c41d18b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x395b960e, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x49adb2f4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x69e9d7bc, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x4266f971, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x26004ce7, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xe926eba7, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x88b882e6, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x817857b1, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x2d94bd31, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x8e9513f4, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x682a97c2, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xeff2e1f9, "_gpl");
SYMBOL_CRC(nf_confirm, 0x1bfa6734, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x6d437734, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xf847f404, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xe415ea6e, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x192fd1d3, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x067ce539, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xb6acd94c, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xe809415a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x65cca558, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x208cbbd1, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x1ba6dff5, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x23abcacb, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xaf7ca591, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xd58348d6, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x08d018fc, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xe0bae3d7, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x2a41454f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x6ef1e211, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x87d2d614, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xdf615d35, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xfc472bac, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x3626328f, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x5d831016, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x058c06b6, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x442faaf3, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xde9fc337, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0xb85dcc04, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x5a590f3e, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x1bd72395, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x1493db66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9aea9fdf, "make_kuid" },
	{ 0x544effa6, "nf_defrag_ipv6_disable" },
	{ 0xf3e8676d, "ipv6_skip_exthdr" },
	{ 0x55467004, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x32bb6c2a, "module_put" },
	{ 0x9642188c, "nf_checksum" },
	{ 0x12ab3b34, "init_net" },
	{ 0xc100f8e9, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8e48de92, "kmem_cache_free" },
	{ 0x81777d37, "seq_putc" },
	{ 0x8d304f20, "nla_put" },
	{ 0x4bcb04f0, "nf_checksum_partial" },
	{ 0xf4a1d242, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe0c5e93f, "nf_unregister_net_hooks" },
	{ 0xfe9da9ee, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x282843fd, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xf06b0e75, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3ef88480, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9e628907, "nf_log_packet" },
	{ 0x5383544, "make_kgid" },
	{ 0x6f9c7442, "nf_ip_checksum" },
	{ 0x3700485, "__kmem_cache_create_args" },
	{ 0xc21a12e9, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x28ce63bc, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x84104b71, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2bcbec7, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2359753, "param_ops_bool" },
	{ 0xf53feccb, "inet_proto_csum_replace4" },
	{ 0x766adbbf, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x24ba8ffc, "remove_proc_entry" },
	{ 0x30859142, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb840db19, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe7b40ff, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x12bb65e1, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7e656c73, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe6d1d5c2, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x8e313675, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74b6d531, "kmem_cache_destroy" },
	{ 0x71944942, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4631a9ab, "__do_once_done" },
	{ 0xb826758f, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9b553bda, "nf_defrag_ipv4_disable" },
	{ 0x78e24bb6, "nf_ip6_checksum" },
	{ 0x917a760d, "proc_dou8vec_minmax" },
	{ 0xa1ca7a7c, "skb_copy_bits" },
	{ 0xc6477173, "param_ops_uint" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcba17982, "nf_register_sockopt" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x6b4108dd, "nfct_btf_struct_access" },
	{ 0x4fb1e1cd, "param_set_uint" },
	{ 0x10a00c7e, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa9d0a798, "nf_ct_frag6_gather" },
	{ 0xa33923f8, "get_net_ns_by_id" },
	{ 0xdf92cb99, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4d26468e, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x50070aa7, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xc49e34d6, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe1ef653a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x168f14c5, "nf_unregister_sockopt" },
	{ 0x2f4627a, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "435B5F1AA78CB74855D2458");
