#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xaa6a58d3, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xe7dfbb61, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0xc30bc46a, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xdd60b825, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xbd1992c9, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xe68c06b6, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x916d535f, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x72d4d7ec, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xee1a1f47, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x5e7761d1, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xa27d2576, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xf0d93522, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x2929c2a5, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x31b92df7, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x8d94b98f, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x80f78134, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x4a7b445e, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x6173dbab, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x614a2b37, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x3aeabd56, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x580938ee, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xa1431cad, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xd311bde5, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xf700f741, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd29fc107, "__put_cred" },
	{ 0x2f7e462d, "sk_error_report" },
	{ 0x87f89cf7, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x6ce3fa74, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1b5a9639, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xad7a5526, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x32bb6c2a, "module_put" },
	{ 0x3acf35dc, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0x1898a94b, "sk_free" },
	{ 0xf7ae053a, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x62c1ca1b, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x18173278, "sock_recv_errqueue" },
	{ 0xfe9da9ee, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xb91cd3dc, "sk_alloc" },
	{ 0xbfb6ed64, "sock_no_socketpair" },
	{ 0xf0feda17, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x20d6e4d6, "sock_no_mmap" },
	{ 0xc2761d5a, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x90cbdf2d, "nonseekable_open" },
	{ 0xc7c9a8f0, "sk_psock_drop" },
	{ 0x2bb34a11, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a8e73d8, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71190470, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8ee1365e, "sock_setsockopt" },
	{ 0xab539b6, "sock_init_data" },
	{ 0x71944942, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81876af5, "security_sock_graft" },
	{ 0x87aa7d28, "sock_map_close" },
	{ 0xf39bf20d, "sock_queue_rcv_skb_reason" },
	{ 0xb826758f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7c5bc7, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xab6f12b3, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4d02f238, "__module_get" },
	{ 0x1c7529e1, "sk_stream_error" },
	{ 0xcc2c704f, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6107af4a, "ns_capable_noaudit" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B5B4A91A291FA6D5A60F9C");
