#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xd8989478, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x9aeab83e, "__alloc_skb" },
	{ 0xddb7481c, "__nlmsg_put" },
	{ 0xe06865e6, "netlink_unicast" },
	{ 0xf83f8a53, "xfrm_sad_getinfo" },
	{ 0xda9e6b88, "skb_trim" },
	{ 0xf28236bc, "xfrm_spd_getinfo" },
	{ 0x79528486, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x95a8d094, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0x41d68bc, "xfrm_init_replay" },
	{ 0x5c78efd8, "xfrm_dev_state_add" },
	{ 0xf9913492, "xfrm_state_update" },
	{ 0xd5b30257, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a193459, "__xfrm_state_destroy" },
	{ 0xf959906, "xfrm_state_add" },
	{ 0xc0b60f0e, "xfrm_dev_state_delete" },
	{ 0x9a78bfb8, "netlink_broadcast_filtered" },
	{ 0x12ab3b34, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x934de2cd, "__fib6_flush_trees" },
	{ 0xcd181cb1, "xfrm_state_lookup_byaddr" },
	{ 0x2df9cb83, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xbd29171d, "xfrm_state_delete" },
	{ 0x52630f16, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2b44d215, "km_state_expired" },
	{ 0x384c7dc6, "__xfrm_state_delete" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0xb8b23d9d, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0x4d502036, "km_policy_expired" },
	{ 0x8072cadb, "xfrm_policy_byid" },
	{ 0xf9eba65e, "xfrm_policy_destroy" },
	{ 0x35b57b29, "xfrm_policy_delete" },
	{ 0xed29d099, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xeba6c49a, "xfrm_find_acq_byseq" },
	{ 0xd0afca3f, "xfrm_find_acq" },
	{ 0xd168bc87, "xfrm_alloc_spi" },
	{ 0x41aff0c2, "xfrm_dev_policy_add" },
	{ 0x77e7ce23, "xfrm_policy_insert" },
	{ 0x99b60deb, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x249de460, "xfrm_state_free" },
	{ 0xb523117a, "km_query" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xc49e34d6, "register_pernet_subsys" },
	{ 0xcc0570e, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd510603d, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d304f20, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbe126afa, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x91d696cc, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7ff468, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1462eb26, "xfrm_policy_hash_rebuild" },
	{ 0x52c726f5, "xfrm_state_flush" },
	{ 0xd86dfc75, "km_state_notify" },
	{ 0xc3e408d6, "xfrm_policy_walk_done" },
	{ 0x42b388d, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xec8567c7, "xfrm_state_walk_done" },
	{ 0xffb11073, "__netlink_kernel_create" },
	{ 0x291fc6c9, "xfrm_unregister_km" },
	{ 0x282843fd, "unregister_pernet_subsys" },
	{ 0x147fa3ea, "netlink_net_capable" },
	{ 0x1dcb8dda, "const_pcpu_hot" },
	{ 0xa5da7149, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6d34d973, "xfrm_get_translator" },
	{ 0x4f2127d3, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x128629f5, "sk_skb_reason_drop" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x2350e488, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x136cd66d, "xfrm_policy_alloc" },
	{ 0x1a97580f, "xfrm_policy_flush" },
	{ 0xd2ac0840, "km_policy_notify" },
	{ 0xbf8622cd, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2fcc3a6c, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "F0428C4CDCFEE7C02AE0528");
